package org.sanskritlibrary.lexicons;
import java.io.BufferedReader;
import java.io.BufferedInputStream;
import java.io.InputStreamReader;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.BufferedWriter;
import java.io.BufferedOutputStream;
import java.io.OutputStreamWriter;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.IOException;
import java.nio.charset.CharsetDecoder;
import java.nio.charset.CharsetEncoder;

public class IOAssistance
{
	static public BufferedReader openReader(String inputFile, String... encoding)
			  throws IOException
	{
		BufferedReader reader = null;
		String enc = "UTF-8";
		if (encoding.length > 0)
		{
			enc = encoding[0];
		}
		BufferedInputStream bis = null;
		InputStreamReader isr = null;
		FileInputStream fis = new FileInputStream(inputFile);
		bis = new BufferedInputStream(fis);

		isr = new InputStreamReader(bis, enc);
		reader = new BufferedReader(isr);
		return reader;
	}

	static public BufferedReader openReader(InputStream is, String... encoding)
			  throws IOException
	{
		BufferedReader reader = null;
		String enc = "UTF-8";
		if (encoding.length > 0)
		{
			enc = encoding[0];
		}
		BufferedInputStream bis = new BufferedInputStream(is);
		InputStreamReader isr = new InputStreamReader(bis, enc);
		reader = new BufferedReader(isr);

		return reader;
	}

	static public BufferedReader openReader(String inputFile, CharsetDecoder encoding)
			  throws IOException
	{
		BufferedReader reader = null;
		BufferedInputStream bis = null;
		InputStreamReader isr = null;
		FileInputStream fis = new FileInputStream(inputFile);
		bis = new BufferedInputStream(fis);

		isr = new InputStreamReader(bis, encoding);
		reader = new BufferedReader(isr);
		return reader;
	}

	static public BufferedReader openReader(InputStream is, CharsetDecoder encoding)
			  throws IOException
	{
		BufferedReader reader = null;
		BufferedInputStream bis = new BufferedInputStream(is);
		InputStreamReader isr = new InputStreamReader(bis, encoding);
		reader = new BufferedReader(isr);

		return reader;
	}

	static public BufferedWriter openWriter(String outputFile)
			  throws IOException
	{
		BufferedWriter writer = null;
		BufferedOutputStream bos = null;
		OutputStreamWriter osw = null;
		FileOutputStream fos = new FileOutputStream(outputFile);
		bos = new BufferedOutputStream(fos);

		osw = new OutputStreamWriter(bos);
		writer = new BufferedWriter(osw);

		return writer;
	}

	static public BufferedWriter openWriter(String outputFile, CharsetEncoder encoding)
			  throws IOException
	{
		BufferedWriter writer = null;
		BufferedOutputStream bos = null;
		OutputStreamWriter osw = null;
		FileOutputStream fos = new FileOutputStream(outputFile);
		bos = new BufferedOutputStream(fos);

		osw = new OutputStreamWriter(bos, encoding);
		writer = new BufferedWriter(osw);

		return writer;
	}

}
