package org.sanskritlibrary.lexicons;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class Regex
{
	private Pattern p;
	private Matcher m;

	public Regex(String text, String pattern)
	{
		p = Pattern.compile(pattern);
		m = p.matcher(text);
	}

	public boolean find()
	{
		return m.find();
	}

	public boolean matchEntireString()
	{
		return m.matches();
	}

	public String getGroup(int n)
	{
		return m.group(n);
	}

	public String replace(String replacement)
	{
		return m.replaceAll(replacement);
	}

	static public String replace(String s, String pattern, String replacement)
	{
		Pattern p = Pattern.compile(pattern);
		Matcher m = p.matcher(s);
		return m.replaceAll(replacement);
	}
}
