package org.sanskritlibrary.lexicons;

public class TextFormatter
{

	static public String prepLineRamoHTML(String line, FSM fsm) throws Exception
	{
		String pattern = "^([0-9])([0-9][0-9][0-9])([0-9][0-9][0-9])([*])?\t(.*)$";
		Regex re = new Regex(line, pattern);
		if (!re.find())
		{
			return "Problem</br>";
		}

		String book = re.getGroup(1);
		String chap = re.getGroup(2);
		String verse = re.getGroup(3);
		String speaker = re.getGroup(4);
		String text = re.getGroup(5);
		String[] words = text.split("[\t ]+");
		StringBuilder ans = new StringBuilder();
		ans.append("<p class='verse'>");
		ans.append(String.format("<span class='verseid'>%s.%s.%d%s</span><br/>",
				  book, chap, Integer.parseInt(verse), speaker==null?"":"."+speaker));
		for(String w : words)
		{
			boolean sc = false;
			int len = w.length();

			if (w.endsWith(";"))
			{
				w = w.substring(0, len-1);
				sc = true;
			}
			else if (w.endsWith("."))
				w = w.substring(0, len-1);

			String sw = w;
			if (fsm != null)
				sw = fsm.processLine(w);
			ans.append(String.format("<a class='ml' onclick='getWord(\"%s\")'><SA>%s</SA> </a>",
					  w, sw));
			if (sc)
				ans.append("<br/>");
		}
		ans.append("</p>");
		return (ans.toString());
	}

	static public String prepLineNiruktaHTML(String line, FSM fsm) throws Exception
	{
		String pattern = "^([0-9]+)\\.([0-9]+)\\s*(.*)$";
		Regex re = new Regex(line, pattern);
		if (!re.find())
		{
			return "Problem</br>";
		}

		String chap = re.getGroup(1);
		String verse = re.getGroup(2);
		String text = re.getGroup(3);
		String[] words = text.split("[\\s]+");
		StringBuilder ans = new StringBuilder();
		ans.append("<p class='verse'>");
		ans.append(String.format("<span class='verseid'>%s.%s</span><br/>", chap, verse ));
		for(String w : words)
		{
			boolean sc = false;
			int len = w.length();

			if (w.endsWith(";"))
			{
				w = w.substring(0, len-1);
				sc = true;
			}
			else if (w.endsWith("."))
				w = w.substring(0, len-1);

			String sw = w;
			if (fsm != null)
				sw = fsm.processLine(w);
			ans.append(String.format("<a class='ml' onclick='getWord(\"%s\")'><SA>%s</SA> </a>",
					  w, sw));
			if (sc)
				ans.append("<br/>");
		}
		ans.append("</p>");
		return (ans.toString());
	}
}

