/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.sanskritlibrary.lexicons;

import java.util.Hashtable;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.http.HttpServletRequest;

public class Transcoder {

  static Hashtable<String, FSM> avail_fsms = new Hashtable<String, FSM>();
  static String parentDir = null; // assumed to end with '/'
  static HttpServletRequest request = null;

  public static void setParentDir(String dir) {
    parentDir = dir;
  }

  public static void setRequest(HttpServletRequest r) {
    request = r;
  }

  public static String processString(String line, String from, String to) {
    if (from.equals(to)) {
      return line;
    }
    String fromto = String.format("%s_%s", from, to);
    String ans = "";//<p>processString debug begins</p>";
    String filename = "unknown";
    FSM fsm = avail_fsms.get(fromto);
    if (fsm == null) {
     // ans += "<p>case fsm is null</p>";
      try {
        String base_filename = String.format("transcoder/%s.xml", fromto);
          if (request == null) {
            filename = base_filename;
          } else {
            ans += String.format("<p>trying request object: %s</p>",request);
            filename = request.getSession().getServletContext().getRealPath("/" + base_filename);
            ans += String.format("<p>finished request object: %s</p>",request);
          }
        ans += "<p>Trying filename = "+filename + "</p>";
        fsm = FSM.fromXML(filename);
        ans += "<p>past filename = "+filename + "fsm="+fsm + "</p>";
       avail_fsms.put(fromto, fsm);

//              System.out.println("FSM.fromXML OK for file " + filename );
      } catch (Exception e) {
//        String filename = String.format("transcoder/%s_%s.xml", from, to);
        ans += "<p>FSM.fromXML error for file " + filename + ":" + e + "<p>";
        
        return "";//ans + line;
      }
    }
    try {
      ans = FSM.transformString(line, fsm);
      return ans;
    } catch (Exception e) {
      return "Caught error"+e+" "+line;
    }
  }

  public static String processElements(String line, String from, String to, String el) {
    StringBuffer resultString = new StringBuffer();
    String regex = String.format("<%s>(.*?)</%s>", el, el);
    Pattern pattern = Pattern.compile(regex);
    Matcher regexMatcher = pattern.matcher(line);
    while (regexMatcher.find()) {
      // You can vary the replacement text for each match on-the-fly
      String g = regexMatcher.group(1);
      String r = processString(g, from, to);
      regexMatcher.appendReplacement(resultString, r);
    }
    regexMatcher.appendTail(resultString);
    String ans = resultString.toString();
    return ans;
  }

//	public static void main(String[] args) {
//		String in = "aSva";
//		String out = processString(in,"slp1","hk");
//		String out1 = processString(out,"hk","slp1");
//		System.out.println(in + " => "+ out + " => " + out1);
//		String in2 = "the word is <SA>aSva</SA>, not <SA>aNga</SA> !";
//		String out2 = processElements(in2,"slp1","hk","SA");
//		System.out.println(in2 + " => "+ out2);
//	}
  public static String standardize_filter(String filter) {
    Hashtable<String, String> h = new Hashtable<String, String>();
    h.put("SKTDEVAUNICODE", "deva");
    h.put("SKTROMANUNICODE", "roman");
    h.put("SLP2SLP", "slp1");
    h.put("SLP2HK", "hk");
    h.put("HK2SLP", "hk");
    h.put("SLP2ITRANS", "itrans");
    h.put("ITRANS2SLP", "itrans");
    h.put("HK", "hk");
    h.put("ITRANS", "itrans");
    h.put("HKT", "hkt");
    h.put("HKT2HKT", "hkt");
    h.put("TAMIL", "tamil");
    h.put("ROMAN", "roman");
    filter = filter.toUpperCase();
    String result = h.get(filter);
    if(result == null) {
      result = "slp1";
    }
    return result;
  }
}
