package org.sanskritlibrary.lexicons.monier;

import java.sql.*;
import java.util.ArrayList;
import java.util.ListIterator;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;

import org.sanskritlibrary.lexicons.Transcoder;

public class MW extends HttpServlet{
  private int dbNum = 3;//number of databases used
  private Connection conn[] = new Connection[dbNum];
  private Statement stat[] = new Statement[dbNum];
  private String inputType = "slp1";
  private String outputType = "slp1";
  private final String nativeType = "slp1";
  private String tableName = "monier";
  private String keysName = "mwkeys";
  private String preferences = "slp1,deva";
  
  /*
  private String sqlitepfx="jdbc:sqlite";
  private String dbNameRelative = "images/sanskrit.sqlite";
  private String baseDir="/";
  // value of dbName will be changed in constructor.
  private String dbName = sqlitepfx + ":" + dbNameRelative;
  private String realpathBase;
   */
  private String dbName;
  private Exception dbErr = null;

  public MW(HttpServletRequest request) {
  }
  
  public void getCon(String dataDir){
    try {
    //Register the JDBC driver for MySQL.
      Class.forName("org.sqlite.JDBC");
      
      String url = "jdbc:sqlite:"+dataDir+"sqlite/sanskrit.sqlite";
      conn[0] = DriverManager.getConnection(url);
      stat[0] = conn[0].createStatement();
      url = "jdbc:sqlite:"+dataDir+"sqlite/mwkeys.sqlite";
      conn[1] = DriverManager.getConnection(url);
      stat[1] = conn[1].createStatement();
      url = "jdbc:sqlite:"+dataDir+"sqlite/westmwtab.sqlite";
      conn[2] = DriverManager.getConnection(url);
      stat[2] = conn[2].createStatement();

      //Get a connection to the database for a
      // user named auser with the password
      // drowssap, which is password spelled
      // backwards.
     // String user="jfunderb";
      //String pw = "JFB79625";
      
    } catch (Exception e) {
            for(int i=0;i<dbNum;i++){
                conn[i] = null;stat[i] = null;
            }
    }

  }
  public String fakeget() {
      return "";
      
  }
  
  public String get(String keyin,String dataDir) {
      getCon(dataDir);
    decode_preferences();
    String out = "";//<p>mw.get debug</p>" +
              //"<p>inputType = "+inputType + ", nativeType = "+nativeType + "</p>";
    String keyNative = keyin;
    try{
    keyNative = Transcoder.processString(keyin, inputType, nativeType);
    }
    catch (Exception e) {
     // out += "Transcode Error: " + e + " : " + keyin + " "+inputType + " "+nativeType;
     // if (dbErr != null) {
       // out += "<p>dbErr = " + dbErr + "</p>";
      //}
      return "";
    }
   // if (true) {
      
     // out += "<p>preferences = " + preferences + "</p>";
     // out += "<p>keyin = " + keyin + ",keyNative = " + keyNative + "</p>";
//      return out;
   // }
//		System.out.println("keyin = " + keyin);
// wrong on sanskrit1d:
    //String query = "select * from '" + tableName + "' where key='" + keyNative + "';";
    String query = "select * from " + tableName + " where key='" + keyNative + "';";
    //out += "<p>dbName = " + dbName + "</p>\n";
    ArrayList<String> dataArray = new ArrayList<String>();
    int n = 0;
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
        n++;
        String dataH=rs.getString("data");
        Pattern patt = Pattern.compile("(?<!<)([/^])([aAiIuUfFxeEoO])(?!>)");
	Matcher m = patt.matcher(dataH);
        StringBuffer sb = new StringBuffer(5000);
		if(m.find()){
		    //fr.write(s+"\n");
		    m = patt.matcher(dataH);
		    loopF:while(m.find()) {
			m.appendReplacement(sb, Matcher.quoteReplacement(m.group(2)+m.group(1)));
		    }
		    m.appendTail(sb);
		    //dataH=sb.toString();
                }
        dataArray.add(dataH);
//        	  System.out.println(rs.getString("key") + "," + rs.getString("lnum") +"\n");
      }
      rs.close();

    } catch (Exception e) {
     // out += "Database Error: " + e + " : " + query;
      //if (dbErr != null) {
        //out += "<p>dbErr = " + dbErr + "</p>";
      //}
      return "";
    }
//    out = "<p> key = " + keyin + "," + keyNative + ", n = " + n + "</p>";
    out = MWDisp.monierdisp(keyNative, dataArray, nativeType, outputType,dataDir);

    return out;
  }
  
  public MWData list1a(String keyin){
      String query = "select * from " + tableName + " where key='"+keyin+ "' order by lnum;";
      ArrayList<MWData> dataArray = new ArrayList<MWData>();
    int n = 0;
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
        n++;
        String kH = rs.getString("key");
        String lH = rs.getString("lnum");
        String dH = rs.getString("data");
        MWData mdH = new MWData(kH,lH,dH);
//         	  out += "key = " + rs.getString("key") + "\n";
//        	  out += "L = " + rs.getString("lnum") + "\n";
        dataArray.add(mdH);
//        	  System.out.println(rs.getString("key") + "," + rs.getString("lnum") +"\n");
      }
      rs.close();

    } catch (Exception e) {
      System.out.println("Databse error");
      }
   return dataArray.get(0);//need to modify further
  }
  
  public MWData list1ahom(String keyin,String hom){
      String query = "select * from " + tableName + " where key='"+keyin+ "' order by lnum;";
      ArrayList<MWData> dataArray = new ArrayList<MWData>();
    int n = 0;int homFound=0;
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
        
        String kH = rs.getString("key");
        String lH = rs.getString("lnum");
        String dH = rs.getString("data");
       // if (!(preg_match("^<H[1-4][ABC]>",dH))){//it should be main word for a homophony
            String homHere=get_hom(dH);
            if(homHere.equals(hom)){homFound=n;}
        //}
        MWData mdH = new MWData(kH,lH,dH);
        dataArray.add(mdH);
        n++;
//        	  System.out.println(rs.getString("key") + "," + rs.getString("lnum") +"\n");
      }
      rs.close();

    } catch (Exception e) {
      System.out.println("Databse error");
      }
   return dataArray.get(homFound);//need to modify further
  }
  
  public String list1b(String keyin){
      String query = "select * from " + keysName + " where key='"+keyin+ "' order by lnum;";
      ArrayList<String> dataArray = new ArrayList<String>();
    int n = 0;
    try {
      ResultSet rs = stat[1].executeQuery(query);
      while (rs.next()) {
        n++;
        String lH = rs.getString("lnum");
        dataArray.add(lH);
//        	  System.out.println(rs.getString("key") + "," + rs.getString("lnum") +"\n");
      }
      rs.close();

    } catch (Exception e) {
      System.out.println("Databse error");
      }
   return dataArray.get(0);//need to modify further
  }
  
  public String getList(String keyin,String direction,String dataDir) {
      getCon(dataDir);
      int $nprev=12;int $nnext=12;
    if(direction.equals("UP")){
        $nprev=24;$nnext=0;
    }
    else if(direction.equals("DOWN")){
        $nprev=0;$nnext=24;
    }
      //System.out.println("reached in getList");
    decode_preferences();
    String keyNative = Transcoder.processString(keyin, inputType, nativeType);
    String out="";
    int lnum = Integer.parseInt(list1b(keyNative));
    int $lnum1=lnum-$nprev;int $lnum2=lnum+$nnext;//to be generalized later
    //System.out.println(lnum);
    String query = "select * from " + keysName + " where " + $lnum1 + "<= lnum and lnum <= " +$lnum2+ " order by lnum;";
   // out += "<p>dbName = " + dbName + "</p>\n";
    //out +="<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=utf-8\">";
    ArrayList<String> dataArray = new ArrayList<String>();
    int n = 0;
    try {
      ResultSet rs = stat[1].executeQuery(query);
      while (rs.next()) {
        n++;
        dataArray.add(rs.getString("key"));
      }
      rs.close();

    } catch (Exception e) {
        return "";
    //  out += "Database Error: " + e + " : " + query;
      //if (dbErr != null) {
        //out += "<p>dbErr = " + dbErr + "</p>";
      //}
      //return out;
    }
   // System.out.println(n);
//    out = "<p> key = " + keyin + "," + keyNative + ", n = " + n + "</p>";
    out = MWDisp.listdisp(keyNative, dataArray, nativeType, outputType, $nprev);

    return out;
  }
  
  public String get_hom(String data){
      String $hom="";
      Pattern pattern = Pattern.compile("<hom>(.*?)</hom>.*?</h>");
      Matcher m = pattern.matcher(data);
      if(m.find()){
          $hom=m.group(1);
      }
    return $hom;
  }
  
  public String get_keyhom(String key, String data){
      String $hom = get_hom(data);
        return key+$hom;
  }
  
  public ArrayList<MWData> listFilter(ArrayList<MWData> origList){
      ArrayList<MWData> dataArray = new ArrayList<MWData>();
      
    String $key0 = origList.get(0).key;
    String $lnum0 = origList.get(0).lnum;
    String $data0 = origList.get(0).data;
    String $keyhom0 = get_keyhom($key0,$data0);
    String $keyhom = "";
    ListIterator<MWData> it = origList.listIterator(); int count=0;
    loopO:while (it.hasNext()) {  
		 MWData lineD = it.next(); 
                 String $data1 = lineD.data;
                 String $key1 = lineD.key;
                 String $lnum1 = lineD.lnum;
                 if (!(preg_match("^<H[1-4][BC]?>",$data1))) {continue loopO;}
                 String $keyhom1 = get_keyhom($key1,$data1);
                 if(count>0){
                    if ($keyhom1.equals($keyhom)){continue loopO;}
                    if ($keyhom1.equals($keyhom0)) {continue loopO;}
                 }//new one
                    MWData mdH = new MWData($key1,$lnum1,$data1);
                    dataArray.add(mdH);
                 $keyhom = $keyhom1; count++;
         }
                 
    return dataArray;
    
  }
  
  public ArrayList<MWData> listPrev(String key, String lnum,int $nprev){
      ArrayList<MWData> dataArray = new ArrayList<MWData>();
      if($nprev>0){
      ArrayList<MWData> $ans = new ArrayList<MWData>();
      int $max = $nprev*12;//arbitray
      String query = "select * from " +tableName +" where (lnum < '" + lnum + "') order by lnum DESC LIMIT " + $max + ";";
      
      int n = 0;
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
        n++;
         String kH = rs.getString("key");
        String lH = rs.getString("lnum");
        String dH = rs.getString("data");
        MWData mdH = new MWData(kH,lH,dH);
        dataArray.add(mdH);
      }
      rs.close();
    }
    catch (Exception e) {}
    ArrayList<MWData> filteredArray = listFilter(dataArray);
    int $nmatches = filteredArray.size();
    if ($nmatches == 0) {return $ans;}
    int $n1=$nprev;
if ($nprev > $nmatches) {
 $n1 = $nmatches;
}
// we retrieved in descending order. Now, we get back to ascending order
int $j=$n1-1;
for(int $i=0;$i<$n1;$i++) {
 $ans.add(filteredArray.get($j));
 $j--;
}
    
    return $ans;
      }
      else{
          return dataArray;
      }
  }
  
  public ArrayList<MWData> listNext(String key, String lnum,int $nnext){
      ArrayList<MWData> dataArray = new ArrayList<MWData>();
      if($nnext>0){
      ArrayList<MWData> $ans = new ArrayList<MWData>();
      int $max = $nnext*12;//arbitray
      String query = "select * from " +tableName +" where ('" + lnum +"' < lnum) order by lnum LIMIT " + $max + ";";
      
      int n = 0;
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
        n++;
         String kH = rs.getString("key");
        String lH = rs.getString("lnum");
        String dH = rs.getString("data");
        MWData mdH = new MWData(kH,lH,dH);
        dataArray.add(mdH);
      }
      rs.close();
    }
    catch (Exception e) {}
    ArrayList<MWData> filteredArray = listFilter(dataArray);
    int $nmatches = filteredArray.size();
    if ($nmatches == 0) {return $ans;}
    int $n1=$nnext;
if ($nnext > $nmatches) {
 $n1 = $nmatches;
}
// we retrieved in descending order. Now, we get back to ascending order
//int $j=$n1-1;
for(int $i=0;$i<$n1;$i++) {
 $ans.add(filteredArray.get($i));
}
    
    return $ans;
      }
      else{
          return dataArray;//empty array
      }
  }
  
  public String getHierlist(String keyin,String direction, String hom,String dataDir) {
      getCon(dataDir);
      //System.out.println("reached in getList");
      int $nprev=12;int $nnext=12;
    if(direction.equals("UP")){
        $nprev=24;$nnext=0;
    }
    else if(direction.equals("DOWN")){
        $nprev=0;$nnext=24;
    }
    decode_preferences();
    String keyNative = Transcoder.processString(keyin, inputType, nativeType);
    MWData dataH = new MWData("","","");
    if(hom.equals("0")){
        dataH = list1a(keyNative);
    }
    else{
        dataH = list1ahom(keyNative,hom);
    }
    
    String $lnum = dataH.lnum;
    String $key=dataH.key;
    String $data=dataH.data;
    String out = "";//$lnum + "--" + $key + " -- ";//+ $data;
    //int $lnum1=$lnum-12;int $lnum2=$lnum+12;//to be generalized later
    //System.out.println($lnum);
    ArrayList<MWData> prevList = listPrev($key,$lnum,$nprev);
    ArrayList<MWData> nextList = listNext($key,$lnum,$nnext);
    int $nmatches1 = prevList.size();
    int $nmatches2 = nextList.size();
    //out += "$nmatches are " + $nmatches1+$nmatches2;
    if(($nmatches1 ==0)&&($nmatches2 ==0)){
        //out += "$nmatches are " + $nmatches1+$nmatches2;
        return out;
    }
    
    //String query = "select * from " + keysName + " where " + $lnum1 + "<= lnum and lnum <= " +$lnum2+ " order by lnum;";
    //out += "<p>dbName = " + dbName + "</p>\n";
    //out +="<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=utf-8\">";
    ArrayList<MWData> dataArray = new ArrayList<MWData>();
    int $i = 0;
    while($i < $nmatches1) {
        dataArray.add(prevList.get($i));
    $i++;
    }
    dataArray.add(dataH);//the central element
    $i=0;
    while($i < $nmatches2) {
        dataArray.add(nextList.get($i));
    $i++;
    }
    
    out = MWDisp.listdispHier(keyNative, dataArray, nativeType, outputType,$nmatches1);

    return out;
  }

  private void decode_preferences() {
    String[] x = preferences.split(",");
    inputType = x[0];
    outputType = x[1];
  }

  public void close() {
    try {
         for(int i=0;i<dbNum;i++){
            conn[i].close();
         }
    } catch (Exception e) {
        for(int i=0;i<dbNum;i++){
            conn[i] = null;
            stat[i] = null;
        }
    }

  }

  public String getPreferences() {
    return preferences;
  }

  public void setPreferences(String preferences) {
    this.preferences = preferences;
  }
  
  private static boolean preg_match(String string, String $line) {
		 Pattern pattern = Pattern.compile(string);
		 Matcher matcher = pattern.matcher($line);
		 return matcher.find();
	}
  
}
