package org.sanskritlibrary.lexicons.ramopak;

import java.io.*;
import java.sql.*;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.ListIterator;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.sanskritlibrary.lexicons.Transcoder;

public class RK extends HttpServlet {
 
  private String inputType = "slp1";
  private String outputType = "slp1";
  private final String nativeType = "slp1";
  private String tableName = "monier";
  private String keysName = "mwkeys";
  private String preferences = "slp1,deva";
  private Hashtable<String, String> rkEnt
     = new Hashtable<String, String>();
  /*
  private String sqlitepfx="jdbc:sqlite";
  private String dbNameRelative = "images/sanskrit.sqlite";
  private String baseDir="/";
  // value of dbName will be changed in constructor.
  private String dbName = sqlitepfx + ":" + dbNameRelative;
  private String realpathBase;
   */
  private String dbName;
  private Exception dbErr = null;
  
  public RK(HttpServletRequest request) {
  }

  public void makeHash (String dataDir) throws Exception {
        FileInputStream fileIn = new FileInputStream(dataDir+"lexicons/Ramopakhyana.ser");
        ObjectInputStream in = new ObjectInputStream(fileIn);
        rkEnt = (Hashtable<String, String>)in.readObject();
        in.close();
        fileIn.close();
  }
  
  
  public String fakeget() {
      return "";
  }
  
  public String get(String keyin,String dataDir) {
      try{
      makeHash(dataDir);
      }
      catch(Exception e){return "Error caught"+e;}
    decode_preferences();
    String out = "";//<p>bs.get debug "+keyin+"</p>" +
              //"<p>inputType = "+inputType + ", nativeType = "+nativeType + "</p>";
    String keyNative = keyin;
    try{
    keyNative = Transcoder.processString(keyin, inputType, nativeType);
    }
    catch (Exception e) {
      //out += "Transcode Error: " + e + " : " + keyin + " "+inputType + " "+nativeType;
      //if (dbErr != null) {
        //out += "<p>dbErr = " + dbErr + "</p>";
      //}
      return "";
    }
   // if (true) {
      String output = ""; 
      if(rkEnt.containsKey(keyNative)){
         String tmp[]=rkEnt.get(keyNative).split("&&");
          output = tmp[2];
          out = RKDisp.bsdisp(keyNative, output, nativeType, outputType);
      }
      else{
          return "";
      }
    return (out);
  }
  
  public ArrayList<String> list1a(String keyin,int $nprev,int $nnext){
    ArrayList<String> output = new ArrayList<String>(); 
    
    if(rkEnt.containsKey(keyin)){
        int lineNum=Integer.parseInt(rkEnt.get(keyin).trim().split("&&")[0]);
        int minL=lineNum-$nprev;
        int maxL=lineNum+$nnext;
        int total=25;int subt=0;
        if(minL<=0){
            total=maxL;
        }
        else{
            subt=minL-1;
        }
        String listH[]=new String[total];
        Enumeration allEl = rkEnt.elements();
        loop:while(allEl.hasMoreElements()){
            String this_el=(String)allEl.nextElement();
            String tmp[]=this_el.split("&&");
            int lineH=Integer.parseInt(tmp[0]);
            if(lineH<minL){
                continue loop;
            }
            else if(lineH>maxL){
                continue loop;
            }
            else{
                listH[lineH-subt-1]=tmp[1];
            }
        }
        for(int i=0;i<total;i++){
            output.add(listH[i]);
        }
    }
    
   return output;//need to modify further
  }
  
  
  
  
  
  public String getList(String keyin,String direction,String dataDir) {
      try{
      makeHash(dataDir);
      }
      catch(Exception e){return "Exception here"+dataDir;}
      int $nprev=12;int $nnext=12;
      if(direction.equals("UP")){
        $nprev=24;$nnext=0;
    }
    else if(direction.equals("DOWN")){
        $nprev=0;$nnext=24;
    }
      decode_preferences();
    String keyNative = Transcoder.processString(keyin, inputType, nativeType);
    ArrayList<String> dataArray = list1a(keyNative,$nprev,$nnext);
    String out="";
    if(dataArray.isEmpty()) {
        //System.out.println("Empty here...");
    }
    else{
        int lineNum=Integer.parseInt(rkEnt.get(keyin).trim().split("&&")[0]);
        if(lineNum<=$nprev){
            $nprev=lineNum-1;
        }
    out = RKDisp.listdisp(keyNative, dataArray, nativeType, outputType, $nprev);
    }
    return out;
  }
  
  public String get_hom(String data){
      String $hom="";
      Pattern pattern = Pattern.compile("<hom>(.*?)</hom>.*?</h>");
      Matcher m = pattern.matcher(data);
      if(m.find()){
          $hom=m.group(1);
      }
    return $hom;
  }
  public String get_form(String data){
      String $hom="";
      Pattern pattern = Pattern.compile("<base>(.*?)</base>");
      Matcher m = pattern.matcher(data);
      if(m.find()){
          $hom=m.group(1);
      }
    return $hom.trim();
  }
  
  public String get_keyhom(String key, String data){
      String $hom = get_hom(data);
        return key+$hom;
  }
  
  
  private void decode_preferences() {
    String[] x = preferences.split(",");
    inputType = x[0];
    outputType = x[1];
  }


  public String getPreferences() {
    return preferences;
  }

  public void setPreferences(String preferences) {
    this.preferences = preferences;
  }
  
  private static boolean preg_match(String string, String $line) {
		 Pattern pattern = Pattern.compile(string);
		 Matcher matcher = pattern.matcher($line);
		 return matcher.find();
	}

  
}