package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

// BC stands for Build Context. If the context parameter is not null then create cookie crumbs
public class BC extends SanskritLibraryServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        String name = request.getParameter("name");
        String context = request.getParameter("context");
        if (context != null && context.length() > 0) {
            StringBuilder path = new StringBuilder();
            String delim = "";
            StringBuilder sb = new StringBuilder(" ");
            String[] fields = context.split(",");
            for (String field : fields) {
                if (field.charAt(0) == '~') {
                    String s = field.substring(1);
                    sb.append(String.format("<a href=\"BC?name=%s&context=%s\">%s</a> | ",
                            s, path.toString(), s));
                    path.append(delim);
                    path.append(field);
                    delim=",";
                } else {
                    sb.append(String.format("<a href=\"%s\">%s</a> | ", field, field));
                }
            }
            request.setAttribute("context", sb.toString());     // Set the cookie crumbs
        }
        String title = request.getParameter("title");
        if (title == null) {
            title = name;
        }
        request.setAttribute("title", title);
        forward(name+".jsp", request, response);        // forward to actual page (attribute context has the cookie crumbs, if any)
    }

    /**
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }
}
