package org.sanskritlibrary.web;

import org.sanskritlibrary.servlet.SanskritLibraryServlet;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import org.sanskritlibrary.admin.FileManagerV2;

public class DisplayWordFrequencies extends SanskritLibraryServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            request.setAttribute("context", "<a href=\"Texts\">Texts</a> | <a href=\"ProofTexts\">Proof Texts</a> | ");
            request.setAttribute("title", "Word Frequencies");

            int inc = 0;
            int currentPage = 0;
            int totalPages = 0;
            if (request.getParameter("word") != null) // ajax call
            {
                response.setContentType("text/html; charset=UTF-8");
                PrintWriter out = response.getWriter();
                out.print("<html>\n");
                out.print("<head>\n");
                out.print("<title>Some verses</title>\n");
                out.print("<meta HTTP-EQUIV='Content-Type' CONTENT='text/html; charset=utf-8'/>\n");
                out.print("</head\n");
                out.print("<body>\n");
                String textName = request.getParameter("text");
                String dataDir = this.getServletContext().getInitParameter("dataDirectory");
                //String textConfigFile = this.getServletContext().getInitParameter("textConfigurationFile");
                String textConfigFile = Utils.buildFileName(dataDir, "texts/texts.xml");
                FileManagerV2 fm = new FileManagerV2(dataDir, textConfigFile, null, this, true, textName);
                out.write(fm.findVerses(request.getParameter("word")));
                out.print("</body>\n");
                out.print("</html>\n");
                return;
            }
            if (request.getParameter("currentPage") != null) // not first request for page
            {
                currentPage = Integer.parseInt(request.getParameter("currentPage"));
                totalPages = Integer.parseInt(request.getParameter("totalPages"));
                if (request.getParameter("btnNext") != null) {
                    currentPage += 1;
                } else {
                    currentPage -= 1;
                }
            }
            String textName = request.getParameter("text");
            request.setAttribute("textName", textName);
            request.setAttribute("textNameRoman", transformString(textName, "*:slp1->roman;"));
            String dataDir = this.getServletContext().getInitParameter("dataDirectory");
            //String textConfigFile = this.getServletContext().getInitParameter("textConfigurationFile");
            String textConfigFile = Utils.buildFileName(dataDir, "texts/texts.xml");
            FileManagerV2 fm = new FileManagerV2(dataDir, textConfigFile, null, this, true, textName);
            request.setAttribute("words", fm.getWordList(currentPage, totalPages, 500, ""));
            if (currentPage == 0) {
                currentPage = 1;
                totalPages = fm.getTotalPages();
            }
            request.setAttribute("currentPage", currentPage);
            request.setAttribute("totalPages", totalPages);
        } catch (Exception ex) {
            request.setAttribute("error", ex.getMessage());
        }

        RequestDispatcher rd = request.getRequestDispatcher("DisplayWordFrequencies.jsp");
        rd.forward(request, response);
    }

    /**
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
