package org.sanskritlibrary.web;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Enumeration;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

public class HuetInterface extends SanskritLibraryServlet
{
    private String fixup (String s) {
        s = s.replaceAll("\\s[.\\d]*$", "");
        s = s.replaceAll("^[^\\s]+\\s+", "");
        s = s.replaceAll("[1234567890:()\\[\\]@#%;!\\?\t,=\\-]*", "");
        s = s.replaceAll("\\.", " ");
        s = s.replaceAll("  ", " ");

        return s;
    }

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String verse = request.getParameter("verse");
        String slp1 = null;
        if (verse == null) {                // hack, old version, see paYcatantra
            verse = request.getParameter("text");
            slp1 = verse;
        } else {
            String outputType = getOutputType(request);
            slp1 = convertToSLP1(null, outputType, verse);
        }
        slp1 = fixup(slp1);

        String sanskritHeritageStatic = (String) this.getServletContext().getInitParameter("shStatic");
        if (sanskritHeritageStatic ==  null) {
            sanskritHeritageStatic = "http://sanskrit.inria.fr";
        }
        request.setAttribute("shStatic", sanskritHeritageStatic);

        String sanskritHeritageCGI = (String) this.getServletContext().getInitParameter("shCGI");
        if (sanskritHeritageCGI == null) {
            sanskritHeritageCGI = "http://sanskrit.inria.fr/cgi-bin";
        }
        request.setAttribute("shCGI", sanskritHeritageCGI);

        request.setAttribute("verse", slp1);
        forward("HuetInterface.jsp", request, response);
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        // When is this called?
        try {
            String result = null;
            String uri = (String) this.getServletContext().getAttribute("huetServer") + "/cgi-bin/SKT/sktreader";

            //String uri = "http://sanskrit.inria.fr/cgi-bin/SKT/sktreader";
            //String uri = "http://sanskrit.inria.fr/cgi-bin/sktreader";
                /*
            Hashtable h = createArgHash(request, "text");
            h.put("t", "SL");
            h.put("topic", "");
            h.put("mode", "p");
            result = RESTfulWSCaller.callText(uri, h);
            result = result.replaceAll("href=\"", "href=\"http://sanskrit.inria.fr/cgi-bin/sktreader");
             */

            String text = request.getParameter("text");
            text = text.replaceAll("\\s[.\\d]*$", "");
            result = "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'>";
            result += "\n<html xmlns='http://www.w3.org/1999/xhtml'>\n<head><title>Huet Page</title>\n</head>\n\n<body>";
            result += String.format("<iframe src='%s?t=SL&topic=&mode=p&text=%s'></iframe>",
                    uri, text);
            result += "</body></html>";
            writeResult(response, result, "text/html");
        } catch (Exception ex) {
            response.setStatus(response.SC_OK);
            this.writeResult(response, ex.getMessage());
        }
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
