package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

public class LoadPage extends SanskritLibraryServlet
{

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
    {
        String name = request.getParameter("name");
        if (name != null)           // deprecated: uses name rather than id
        {
            String title = request.getParameter("title");
            String contexts = request.getParameter("context");
            if (contexts != null)
            {
                String[] context = contexts.split("/");
                StringBuilder sb = new StringBuilder();
                String delim = "";
                for (String ctx : context)
                {
                    sb.append(String.format("%s<a href='%s'>%s</a>", delim, ctx, ctx));
                    delim = " | ";
                }
                sb.append(delim);  // to separate bread crumbs from title
                request.setAttribute("context", sb.toString());
            }
            request.setAttribute("title", title);
            forward(name + ".jsp", request, response);
        }
        else
        {
            String id = request.getParameter("id");
            if (id == null)         // shouldn't happen
                forward("Index.jsp", request, response);
            else
            {
                SLText sltext = SLTexts.getText(id);
                request.setAttribute("title", sltext.title);
                String context = null;
                String texttype = request.getParameter("texttype");
                if (texttype != null)
                {
                    request.setAttribute("texttype", texttype);         // pass it to hidden field in catalog page.
                    String[] fields = texttype.split("/");
                    context = String.format("<a href='Texts?source=%s&period=%s&format=%s'>Texts</a> | <a href='Texts?index=y&source=%s&period=%s&format=%s'>Index</a> | ",
                                            fields[0], fields[1], fields[2],
                                            fields[0], fields[1], fields[2]);
                }
                else
                    context = "<a href='TextsList'>Texts</a> | ";
                request.setAttribute("context", context);
                forward("Catalogs/" + sltext.id + ".jsp", request, response);
            }
        }
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
    {
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
