package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletOutputStream;
import java.util.Hashtable;
import org.sanskritlibrary.webservice.UniversalProxy;
import org.sanskritlibrary.webservice.ByteBuffer;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

public class NominalMorphology extends SanskritLibraryServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        request.setAttribute("context", " <a href=\"Tools\">Tools</a> | ");
        request.setAttribute("title", "Nominal Morphology");

        // http://www.language.brown.edu/cgi-skt/decl?stem=f&lexid=&gender=m&filter=
        String stem = request.getParameter("stem");
        if (stem != null) {
            ServletOutputStream out = response.getOutputStream();
            UniversalProxy proxy = new UniversalProxy();
            Hashtable<String, String> h = createHashtable(request);
            stem = convertToSLP1(null, getViewingType(request), stem);
            String gender = request.getParameter("gender");
            String lexid = request.getParameter("lexid");
            String filter = this.mapPageDisplayEncoding(request);
            String format = "stem=%s&gender=%s&lexid=%s&filter=%s";
            String url = (String) this.getServletContext().getInitParameter("nominalMorphology");
            //String url = "http://www.language.brown.edu/cgi-skt/decl";
            //String url = "http://sktlib-dev.ccv.brown.edu/cgi-skt/decl";           // TODO: use domain in config file
            //String url = "http://sanskrit1.ccv.brown.edu/cgi-skt/decl";           // TODO: use domain in config file
            String params = String.format(format, stem, gender, lexid, filter);
            h.put("x-proxy-params", params);
            if (proxy.getResponse("GET", url, h, null)) {
                try {
                    Hashtable<String, String> headers = proxy.getHeaders();
                    response.setContentType("text/html; charset=UTF-8");
                    ByteBuffer bb = proxy.getContent();
                    out.write(bb.content);
                } catch (Exception ex) {
                    out.print(ex.getMessage());
                }
            } else {
                out.print(proxy.getError());
            }

            out.flush();
        } else {
            request.setAttribute("helpfile", "helpNominalMorphology.html");
            RequestDispatcher rd = request.getRequestDispatcher("NominalMorphology.jsp");
            rd.forward(request, response);
        }
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
