/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.sanskritlibrary.web;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.admin.FileManagerV2;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;
import javax.servlet.RequestDispatcher;
import java.util.ArrayList;

/**
 *
 * @author rbunker
 */
public class ProofTexts extends SanskritLibraryServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        try {
            request.setAttribute("context", "<a href=\"Texts\">Texts</a> | ");
            request.setAttribute("title", "Proof Texts");

            String dataDir = this.getServletContext().getInitParameter("dataDirectory");
            //String textConfigFile = this.getServletContext().getInitParameter("textConfigurationFile");
            String textConfigFile = Utils.buildFileName(dataDir, "texts/texts.xml");
            FileManagerV2 fm = new FileManagerV2(dataDir, textConfigFile, null, this, true, null);
            ArrayList<String> names = fm.getTextNames();
            ArrayList<TextName> tn = new ArrayList<TextName>();
            String map = "*:slp1->roman;";
            for (int i = 0; i < names.size(); i++) {
                String slp1 = names.get(i);
                String roman = transformString(slp1, map);
                tn.add(new TextName(slp1, roman));
            }
            request.setAttribute("textNames", tn);
            response.setContentType("text/html;charset=UTF-8");
        } catch (Exception ex) {
            request.setAttribute("error", ex.getMessage());
        }

        RequestDispatcher rd = request.getRequestDispatcher("ProofTexts.jsp");
        rd.forward(request, response);
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
