package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

public class ProofTranscoders extends SanskritLibraryServlet {
   

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
	 {
        request.setAttribute("context", "<a href=\"Tools\">Tools</a> | ");
        request.setAttribute("title", "Transcoder Testing");

		doForward("ProofTranscoders.jsp", request, response);
    } 

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
	 {
        request.setAttribute("context", "<a href=\"Tools.jsp\">Tools</a> | ");
        request.setAttribute("title", "Transcoder Testing");

        String result = null;
		 String target = request.getParameter("drpEncoding");
		 if (target.equals("0"))
			 result = "<script type='text/javascript'>alert('Please select an encoding.');</script>)";
		 else
		 {
			 String text = request.getParameter("txtSLP1");
			 if (text.length() == 0)
				 result = "<script type='text/javascript'>alert('Please enter some text.');</script>)";
			 else
			 {
				String map = "*:slp1->" + target;
				String s1 = transformString(text, map);
				String error = getError();
				if (error != null)
					result = String.format("<script type='text/javascript'>alert('%s');</script>", error);
				else
				{
					map = String.format("*:%s->slp1", target);
					String s2 = transformString(s1, map);
					error = getError();
					if (error != null)
						result = String.format("<script type='text/javascript'>alert('%s');</script>", error);
					else
						result = analyzeResults(text, s2, target);
				}
			 }
		 }

		 request.setAttribute("result", result);
		 doForward("ProofTranscoders.jsp", request, response);
    }

	 String analyzeResults(String s1, String s2, String target)
	 {
		 StringBuilder sb = new StringBuilder(String.format("<table border='1'><tr><th>SLP1</th><th>%s</th><th>SLP1</th></tr>\n", target));

		 int len1 = s1.length();
		 int len2 = s2.length();
		 int len = len1 <= len2 ? len1 : len2;
		 String map1 = String.format("*:slp1->%s;", target);
		 String map2 = String.format("*:%s->slp1;", target);
		 boolean status = true;
		 for (int i=0; i<len; i++)
		 {
			String ch0 = s1.substring(i, i+1);
			String ch1 = transformString(ch0, map1);
			String ch2 = transformString(ch1, map2);
			if (ch0.equals(ch2))
				sb.append(String.format("<tr><td>%s</td><td>%s</td><td>%s</td></tr>\n", ch0, ch1, ch2));
			else
			{
				sb.append(String.format("<tr style='color:red'><td>%s</td><td>%s</td><td>%s</td></tr>\n", ch0, ch1, ch2));
				status = false;
			}
		 }
		 sb.append("</table>");
		 String header = null;
		 if (status == true)
			 header = "<h3>Looks good!</h3>";
		 else
			 header = "<h3 style='color:red'>Discrepancies found</h3>";
		 return header + sb.toString();
	 }

	 private void doForward(String name, HttpServletRequest request, HttpServletResponse response)
					throws ServletException, IOException
	 {
		 forward(name, request, response, null, "txtSLP1", "lstEncoding");
	 }

	 /**
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }
}
