package org.sanskritlibrary.web;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.ServletOutputStream;
import org.sanskritlibrary.Regex;

public class Redirect extends HttpServlet {
   
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException 
    {
        String filename = request.getParameter("name");

        try
        {
            String dir = null;
            String fn = null;
            String ext =  null;
            Regex re = new Regex(filename, "^(.+/)([^.]+)\\.(.+)$");
            if (re.find())
            {
                dir = re.getGroup(1);
                fn = re.getGroup(2);
                ext = re.getGroup(3).toLowerCase();
                request.getSession().setAttribute("subDirectory1", dir);
                request.getSession().setAttribute("inApacheDirectory", true);
            }
            else
                throw new Exception("Need an extension");

            String apacheDirectory = (String)this.getServletContext().getAttribute("apacheDirectory");
            String path = String.format("%s%s", apacheDirectory, filename);
            FileInputStream fis = new FileInputStream(path);
            byte[] b = new byte[fis.available()];
            fis.read(b);
            ServletOutputStream sos = response.getOutputStream();
            sos.write(b);

            if (ext.equals("htm") || ext.equals("html"))
                response.setContentType("text/html; charset=UTF-8");
            else if (ext.equals("pdf"))
                response.setContentType("application/pdf");
            sos.flush();
            sos.close();
        }
        catch (Exception ex)
        {

        }
    } 

    @Override
    public String getServletInfo()
    {
        return "Short description";
    }// </editor-fold>

}
