package org.sanskritlibrary.web;

import java.io.BufferedWriter;
import java.io.File;
import java.io.IOException;
import javax.servlet.ServletException;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.IOAssistance;

public class Registration extends SanskritLibraryServlet
{

    static String[] fields = new String[]
    {
        "_name",
        "positionTitle",
        "institution",
        "_address1",
        "address2",
        "_city",
        "_state",
        "_zip",
        "country",
        "_email",
        "telephoneDay",
        "telephoneEve",
        "profession",
        "degree",
        "yearsOfStudy",
        "typeOfTraining",
        "teacher",
        "_password",
        "_password2"
    };
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        request.setAttribute("context", "");
        request.setAttribute("title", "Registration");

        this.forward("Registration.jsp", request, response);
    } 

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        request.setAttribute("context", "");
        request.setAttribute("title", "Registration");

        String status = null;
        boolean error = false;
        for (String field : fields)
        {
            if (request.getParameter(field).length() == 0 && field.charAt(0) == '_')
            {
                request.setAttribute(field+"Status", "<== this field can't be blank)");
                error = true;
            }
        }
        if (!error)
        {
            String datadir = this.getServletContext().getInitParameter("dataDirectory");
            String dir = Utils.buildFileName(datadir, "registration");
            String fn = String.format("%s/%s.xml", dir, request.getParameter("_email"));
            boolean afterTest = false;
            BufferedWriter bw = null;
            try
            {
                if (new File(fn).exists())
                {
                    throw new Exception("file exists");
                }
                afterTest = true;
                bw = IOAssistance.openWriter(fn);
                writeRegistration(bw, request, fields);
            }
            catch (Exception ex)
            {
                if (!afterTest)
                {
                    request.setAttribute("_emailStatus", "This email has already been registered.");
                    status = "That email address has already been registered";
                }
                else
                    status = "System error. Please try to register later";
                System.out.format("%s failed with: %s\n", request.getParameter("email"), ex.getMessage());
                error = true;
            }
            finally
            {
                if (bw != null)
                    bw.close();
            }

        }
        else
            status = "Please fill in the missing fields";

        if (status != null)
            request.setAttribute("status", String.format("alert('%s');", status));

        if (error)
        {
            createAttributes(request, fields);
            forward("Registration.jsp", request, response);
        }
        else
            forward("Index.jsp", request, response);
    }

    private void writeRegistration(BufferedWriter bw, HttpServletRequest request, String[] fields) throws Exception
    {
        bw.write("<registration>\n");
        for (String field : fields)
        {
            bw.write(String.format("\t<%s><![CDATA[%s]]><\\%s>\n", field, request.getParameter(field), field));
        }
        bw.write("</registration>");
    }

    @Override
    public String getServletInfo()
    {
        return "Short description";
    }// </editor-fold>
}
