/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.sanskritlibrary.web;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import java.util.Hashtable;
import javax.servlet.ServletException;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.IOAssistance;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;
import org.sanskritlibrary.webservice.RESTfulWSCaller;
import org.sanskritlibrary.webservice.WebServices;

/**
 *
 * @author ralph
 */
public class TextViewer extends SanskritLibraryServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        String name = request.getParameter("name");
        String command = request.getParameter("command");
        String datadir = getServletContext().getInitParameter("dataDirectory");
        String pagesdir = Utils.buildFileName(datadir, "pages");
        if (command != null) {
            FileInputStream fis = null;
            String filter = getCookieValue(request, "serverOptions");

            if (filter == null) {
                filter = "deva";
            } else if (filter.equals("phonetic")) {
                filter = getCookieValue(request, "phoneticInput");
            }

            String filename = null;
            if (command.equals("getzip")) {
                filename = String.format("%s/%s.%s.zip", pagesdir, name, filter);
            } else if (command.equals("getfile")) {
                response.setContentType("UTF-8");
                filename = String.format("%s/%s.%s", pagesdir, name, filter);
            }
            if (filename != null) {
                ServletOutputStream sos = response.getOutputStream();
                fis = new FileInputStream(filename);
                byte[] b = new byte[fis.available()];
                fis.read(b);
                fis.close();
                sos.write(b);
                sos.flush();
                sos.close();
            } else {
                PrintWriter pw = response.getWriter();
                pw.write(String.format("Text %s not found.", name));
            }

        } else {
            String SHLink = (String) this.getServletContext().getInitParameter("shCGI");
            if (SHLink == null) {
                SHLink = "http://sanskrit.inria.fr/cgi-bin";
            }
            String bookGeometry = null;
            try {
                bookGeometry = IOAssistance.readEntireFile(String.format("%s/%s.index", pagesdir, name));
            } catch (Exception ex) {
                throw new IOException(ex.getMessage());
            }
            request.setAttribute("title", request.getParameter("title"));
            request.setAttribute("context", "<a href='TextsList'>Texts</a> | <a href='LoadPage?id=paYcatantra'>Catalog</a> | ");
            request.setAttribute("documentType", name);         // this plus cookies will be used to get the zip file
            request.setAttribute("bookGeometry", bookGeometry);
            request.setAttribute("SHLink", SHLink);
            this.forward("TextViewer.jsp", request, response);
        }
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
            if (request.getParameter("word") != null) // Ajax request for word information
            {
                try {
                    //String uri = "http://sanskrit1.ccv.brown.edu/Sanskrit/Funderburk/fflex/web/rp1/getWord.php";       //TODO: get domain from config file
                    String uri = (String) this.getServletContext().getInitParameter("fflexLocation");
                    Hashtable h = new Hashtable();
                    h.put("filterin", "SLP2SLP");
                    String outputType = getOutputType(request);
                    h.put("filter", convertOutputType(outputType));
                    h.put("word", convertToSLP1(null, outputType, request.getParameter("word")));
                    String result = RESTfulWSCaller.callText(uri, h);
                    result = result.replaceAll("class='id_info'", "style='background-color: #dbe4ed;cursor:pointer'");
                    result = result.replaceAll("Note: this from sanskrit1!", "");
                    // background-color: #dbe4ed
                    writeResult(response, result);
                } catch (Exception ex) {
                    response.setStatus(response.SC_OK);
                    this.writeResult(response, ex.getMessage());
                }
            } else if (request.getParameter("map") != null) {
                try {
                    String text = request.getParameter("text");
                    String map = request.getParameter("map");
                    String result = transformString(text, map);
                    writeResult(response, result);
                } catch (Exception ex) {
                    throw new IOException(ex.getMessage());
                }
            }
    }

    private String convertOutputType(String outputType) {
        String filterx = "SktDevaUnicode"; // default value

        if (outputType.equals("deva")) {
            filterx = "SktDevaUnicode";
        } else if (outputType.equals("roman")) {
            filterx = "SktRomanUnicode";
        } else if (outputType.equals("hk")) {
            filterx = "SLP2HK";
        } else if (outputType.equals("slp1")) {
            filterx = "SLP2SLP";
        } else if (outputType.equals("it")) {
            filterx = "SLP2ITRANS";
        }

        return filterx;
    }

    /**
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
