package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.Cookie;
import org.sanskritlibrary.FSM;

public class TextViewerDemo extends HttpServlet
{

	protected void processRequest(HttpServletRequest request, HttpServletResponse response)
			  throws ServletException, IOException
	{
	}

	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			  throws ServletException, IOException
	{
		String jsp = "textViewerDemo.jsp";
		if (request.getParameter("type") != null)
			jsp = request.getParameter("type");
		RequestDispatcher rd = request.getRequestDispatcher(jsp);
		rd.forward(request, response);
	}

	@Override
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			  throws ServletException, IOException
	{
		StringBuilder sb = new StringBuilder("The server responds:<br/>");
		String format = getCookieValue(request, "serverOptions") == null ? "deva" : getCookieValue(request, "serverOptions");
		String inputType = getCookieValue(request, "inputType") == null ? "phonetic" : getCookieValue(request, "inputType");

		if (inputType.equals("phonetic"))
		{
			String input = getCookieValue(request, "phoneticInput") == null ? "deva" : getCookieValue(request, "phoneticInput");
			if (format.equals("deva"))
			{
				sb.append("The answer is \u0920\u093E<br/>");
			} else if (format.equals("roman"))
			{
				sb.append("The answer is \u1E6Dh\u0101<br/>");
			} else if (format.equals("telugu"))
			{
				sb.append("The answer is \u0C25\u0C06<br/>");
			} else if (format.equals("phonetic"))
			{
				if (input.equals("slp1"))
				{
					sb.append("The answer is WA<br/>");
				} else if (input.equals("xw"))
				{
					sb.append("The answer is TA<br/>");
				} else if (input.equals("hk"))
				{
					sb.append("The answer is ThA<br/>");
				} else if (input.equals("vt"))
				{
					sb.append("The answer is .thaa<br/>");
				} else if (input.equals("vedatype"))
				{
					sb.append("The answer is ThA<br/>");
				} else
				{
					sb.append("Not implemented yet<br/>");
				}
			}
		} else if (inputType.equals("unicode"))
		{
			String ui = getCookieValue(request, "unicodeInput") == null ? "trnDevanagari" : getCookieValue(request, "unicodeInput");
			if (ui.equals("trnRoman"))
			{
				sb.append("The answer is th\u0323a\u0304<br/>");
			} else if (ui.equals("devInscript") || ui.equals("devPhonetic"))
			{
				sb.append("The answer is \u0920\u093E<br/>");
			} else
			{
				sb.append("Not implemented yet<br/>");
			}
		}

		sb.append(String.format("Input text: %s<br/>", FSM.toUTF8(request.getParameter("txt1"))));
		sb.append(String.format("Textarea: %s<br/>", FSM.toUTF8(request.getParameter("txt2"))));
		request.setAttribute("litAnswer", sb.toString());

		RequestDispatcher rd = request.getRequestDispatcher("textViewerDemo.jsp");
		rd.forward(request, response);
	}

	private String getCookieValue(HttpServletRequest request, String name)
	{
		String value = null;
		for (Cookie c : request.getCookies())
		{
			if (c.getName().equals(name))
			{
				value = c.getValue();
				break;
			}
		}
		return value;
	}

	@Override
	public String getServletInfo()
	{
		return "Short description";
	}
}
