//http://bytes.com/topic/net/answers/85969-returning-xml-utf-8-servlet
// based on http://www.language.brown.edu//Sanskrit/Funderburk/fflex/web/rp1/
package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import javax.servlet.http.Cookie;
import java.net.URLConnection;
import java.net.URL;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.BufferedReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;

public class TextViewerProxy extends HttpServlet
{

	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			  throws ServletException, IOException
	{
			RequestDispatcher rd = request.getRequestDispatcher("textViewerProxy.jsp");
			rd.forward(request, response);
	}
	
	private String getCookieValue(HttpServletRequest request, String name)
	{
		String value = null;
		for (Cookie c : request.getCookies())
		{
			if (c.getName().equals(name))
			{
				value = c.getValue();
				break;
			}
		}
		return value;
	}


	@Override
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			  throws ServletException, IOException
	{
		if (request.getParameter("filter") != null)
		{
			try
			{
				//http://sktlib.ccv.brown.edu/Sanskrit/Funderburk/fflex/web/rp1/getWord.php
				//http://sktlib.ccv.brown.edu/Sanskrit/Funderburk/fflex/web/rp1/loadText.php
				String template = "http://sktlib.ccv.brown.edu/Sanskrit/Funderburk/fflex/web/rp1/loadText.php?filter=%s&chapter=%s";    // TODO: get domain name from config file
				String filter = request.getParameter("filter");
				if (filter.equals("phonetic"))
				{
					filter = getCookieValue(request, "phoneticInput");
				}
				else if (filter.equals("roman"))
				{
					filter = "SktRomanUnicode";
				}
				else if (filter.equals("deva"))
				{
					filter = "SktDevaUnicode";
				}

				String chapter = request.getParameter("chapter");
				String result = "It worked!";
				URL url = new URL(String.format(template, filter, chapter));
				URLConnection conn = url.openConnection();
				InputStream is = conn.getInputStream();

				InputStreamReader isr = new InputStreamReader(is, "UTF-8");
				BufferedReader br = new BufferedReader(isr);
				StringBuilder sb = new StringBuilder();
				while (true)
				{
					int n = br.read();
					if (n == -1)
					{
						result = sb.toString();
						break;
					} else
					{
						sb.append((char) n);
					}
				}
				is.close();
				/*  .NET version
				WebRequest req = WebRequest.Create(String.Format(template, filter, chapter));
				WebResponse resp = req.GetResponse();
				Stream s = resp.GetResponseStream();
				StreamReader sr = new StreamReader(s);
				String result = sr.ReadToEnd();
				sr.close();
				 */
				response.setCharacterEncoding("UTF-8");
				response.setContentType("text/text;charset=UTF-8");
				OutputStream os = response.getOutputStream();
				OutputStreamWriter osw = new OutputStreamWriter(os, "UTF-8");
				PrintWriter pw = new PrintWriter(osw);

				pw.print(result);
				pw.flush();
				pw.close();
			} catch (Exception ex)
			{
				response.setStatus(response.SC_OK);
				response.getOutputStream().print("oops");
			}
		}

	}

	@Override
	public String getServletInfo()
	{
		return "Short description";
	}// </editor-fold>
}
