package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletOutputStream;
import java.util.Hashtable;
import org.sanskritlibrary.webservice.UniversalProxy;
import org.sanskritlibrary.webservice.ByteBuffer;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

/**
 *
 * @author rbunker
 */
public class VerbalMorphology extends SanskritLibraryServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        request.setAttribute("context", " <a href=\"Tools\">Tools</a> | ");
        request.setAttribute("title", "Verbal Morphology");
        // http://www.language.brown.edu/cgi-skt/conj?root=kf&tam=pre&voice=a&filter=SktDevaUnicode
        String root = request.getParameter("root");
        if (root != null) {
            ServletOutputStream out = response.getOutputStream();
            UniversalProxy proxy = new UniversalProxy();
            Hashtable<String, String> h = createHashtable(request);
            root = convertToSLP1(null, getViewingType(request), root);
            String tam = request.getParameter("tam");
            String voice = request.getParameter("voice");
            String filter = this.mapPageDisplayEncoding(request);
            String format = "root=%s&tam=%s&voice=%s&filter=%s";
            String url = (String) this.getServletContext().getInitParameter("verbalMorphology");
            //String url = "http://www.language.brown.edu/cgi-skt/conj";
            //String url = "http://sktlib-dev.ccv.brown.edu/cgi-skt/conj";       // TODO use domain in config file
            String params = String.format(format, root, tam, voice, filter);
            h.put("x-proxy-params", params);
            if (proxy.getResponse("GET", url, h, null)) {
                try {
                    proxy.getHeaders();
                    response.setContentType("text/html; charset=UTF-8");
                    ByteBuffer bb = proxy.getContent();
                    out.write(bb.content);
                } catch (Exception ex) {
                    out.print(ex.getMessage());
                }
            } else {
                out.print(proxy.getError());
            }

            out.flush();
        } else {
            request.setAttribute("helpfile", "helpVerbalMorphology.html");
            RequestDispatcher rd = request.getRequestDispatcher("VerbalMorphology.jsp");
            rd.forward(request, response);
        }
    }

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>
}
