<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<html>
<head>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<title>Agreement</title>
</head>
<BODY LINK="#0000ff" VLINK="#800080">

<h2>Benefits of Registration</h2>
<p>Most of the materials of The Sanskrit Library are accessible without restriction.  However, certain copyrighted materials are of restricted access at the behest of the copyright holders.  These materials are accessible only to registered users.  When a user attempts to access restricted materials, a request to enter username and password, or to register, will be displayed.</p>
<p>The Sanskrit Library will occasionally send announcements of interest to its email list of registered users.  These announcements may include notice of new publications, significant revisions to the website, positions available, etc.  Announcements are otherwise kept to a minimum.</p>

<h2>Registration</h2>

<p>To register to use restricted materials on the Sanskrit Library website:</p>
<ol>
<li>Accept our Terms and Conditions of Use
<li>Enter Registration Information
<li>Select a UserId and Password
</ol>

<hr>

<h2>1. Terms and Conditions of Use</h2>
<p>To use the Sanskrit Library website's text and tools, you must read the following user agreement and click on the "I accept" button at the bottom of the page.</p>

<h2 align="center">Terms and Conditions</h2>
<h3 align="center">as of 23 December 2003</h3>

<h3>Modification and Monitoring of Website</h3>
<p>The Sanskrit Library reserves the right, at its discretion, to change, modify, add, or remove portions of these terms at any time.  If significant changes are made to these terms, we will request users to review and accept the revised terms as they log in.  To review the terms periodically for changes click on the Registration link on the home page.  The Sanskrit Library expressly reserves the right to monitor any and all use of this website.</p>

<h3>Copyrights and Restrictions on Use of Materials</h3>
<p>The Sanskrit Library owns and operates this website and all material posted on it.  All trademarks, service marks, and trade names displayed are proprietary to the Sanskrit Library, except as explicitly noted below under "Ownership of Other Materials."</p>

<h3>Restrictions</h3>
<p>Other users and sites may not:</p>

<ol>
<li>Copy, reproduce, republish, upload, post, transmit, or distribute in any way material from the Sanskrit Library's websites or any website owned, operated, licensed, controlled, designed or maintained by the Sanskrit Library or by Peter M. Scharf, except as specifically stated below under "Limited Licenses."
<li>Copy, modify, or display the Sanskrit Library's name, logo, text, or graphic images in any way without the Sanskrit Library's express written permission except as set forth in "Limited Licenses." (To obtain express written permission, send the director an e-mail by clicking on his link under "Personnel" on the "Reading Room" page and then clicking on his e-mail address on his c.v.)
<li>Redeliver any of the pages, text, images, or other content of the Sanskrit Library's websites using "framing" technology without the Sanskrit Library's express written permission.
<li>Modify or use the pages, text, images, or other content from the Sanskrit Library's websites for any other purpose; doing so is a violation of the Sanskrit Library's copyrights and other proprietary rights.
<li>Use devices, including software and bookmarks, that are designed to provide repeated automated access to SanskritLibrary.org&trade; or any pages within the websites maintained by the Sanskrit Library or by Peter M. Scharf. The Sanskrit Library reserves the right to take all measures necessary to prevent such access, including denial or termination of service.
<li>Include "Sanskrit Library," any other Sanskrit Library trademark, any Sanskrit Library executive's name, or any variation of any of the foregoing, as a metatag, hidden textual element, or any other indicator that may create an impression of affiliation, sponsorship, or endorsement between any user and/or site and the Sanskrit Library.
</ol>

<h3>Limited License</h3>
<p>The following limited license is granted to individuals solely for personal use: Individuals may, for personal use, bookmark or point to the homepage of the Sanskrit Library's website (SanskritLibrary.org&trade;). Texts may be cited for academic purposes with proper attribution. Tools and indices may be used for research provided the user acknowledge their use in any resulting presentations and publications.</p>

<h3>Limited Linking License for Other Sites and Other Uses</h3>
<p>Commercial and other websites may include a link to the Sanskrit Library's website (SanskritLibrary.org&trade;), so long as any such link satisfies all six (6) of the following requirements:

<ol>
<li>Resolves to The Sanskrit Library's homepage at sanskritlibrary.org.
<li>Indicates clearly that the link will lead to the website of "The Sanskrit Library."
<li>Does not falsely represent or suggest any relationship between the linking site and the Sanskrit Library (including suggestions of affiliation, endorsement, or sponsorship).
<li>Delivers The Sanskrit Library's content outside of a framed environment.
<li>Maintains the integrity of The Sanskrit Library's layout, content, and look and feel.
<li>Delivers users to the The Sanskrit Library website, unaltered, unmodified, unadulterated in any way by the linking site.
</ol>

<p>This Limited License expressly prohibits directly accessing any page of the Sanskrit Library from any page other than the Sanskrit Library's homepage and the framing of the Sanskrit Library's content in any way or any other activity, specifically including but not limited to referencing "Sanskrit Library" as a metatag, that may create a misimpression or confusion among users with respect to sponsorship or affiliation.</p>

<h3>Downloading Software</h3>
<p>If you download software from The Sanskrit Library's website under these terms, the software--including any files, images incorporated in or generated by the software, and data accompanying the software (collectively, the "Software")--is licensed to you by the Sanskrit Library for your personal use. However:

<ol>
<li>The Sanskrit Library does not transfer title to the Software to you.
<li>You own the medium on which the Software is recorded, but The Sanskrit Library retains full and complete title to the Software, and all intellectual property rights therein.
<li>You may not redistribute, sell, decompile, reverse engineer, disassemble, or otherwise reduce the Software to any other form whatsoever.
</ol>

<h3>Ownership of Other Materials</h3>
<H4>Copyrights</H4>
<H4>Patents</H4>
<H4>Trademarks</H4>

<ul>
<li>Adobe&reg;, Acrobat&reg;, Acrobat&reg; Reader, and the Acrobat logo are trademarks of Adobe Systems Incorporated.
<li>Java&trade; is a trademark of Sun Microsystems, Inc.
<li>Mac&reg; and Macintosh&reg; are trademarks of Apple Computer, Inc.
<li>Microsoft&reg;, Internet Explorer&reg;, Windows&reg;, Windows Media, and Windows NT&reg; are trademarks of Microsoft Corporation.
<li>Netscape Communicator&reg; and Netscape Navigator&reg; are trademarks of Netscape Communications Corporation in the United States and other countries.
<li>RealPlayer&reg; is a trademark of RealNetworks, Inc.
<li>Opera&trade; is a tradmark of Opera Software <i>ASA.</i>
</ul>

<h3>Privacy Policy</h3>
<p>The Sanskrit Library does not give or sell a user's personal information or the fact that you are a Sanskrit Library user to anyone. This information typically includes the following personal information you provide us when you complete the Sanskrit Library registration:</p>

<ul>
<li>Name and address.
<li>Institutional affiliation
</ul>

<p>The Sanskrit Library may use "HTTP cookies," information your browser stores.</p>

<p>The Sanskrit Library does not give or sell information about current or former users to third parties except to inform you of new Sanskrit Library holdings, tools, publications, or services. If we contract with nonaffiliated companies to perform these services for us we will disclose only the information necessary to carry out the assigned responsibilities and only for that purpose. In this case we will require these third parties to treat your private information with the same high degree of confidentiality that we do. Finally, we will release information about you if you direct us to do so or if we are compelled by law to do so. We do not use HTTP cookies to pull data from your hard drive or to view data in cookies created by other websites.</p>

<p>The Sanskrit Library restricts access to information about you to those Sanskrit Library employees who need to know the information to provide products or services to you. We maintain strict physical, electronic, and procedural safeguards to protect your personal information.</p>

<p>For your protection, we recommend that you do not provide your user name or password to anyone.</p>

<p>You will be able to access our privacy policy from our website at any time to keep abreast of and changes to our privacy policy.</p>

<h3>Third-Party Content</h3>

<p>The Sanskrit Library is in no way responsible for the content of any site owned by a third party that may be linked to the Sanskrit Library's website via hyperlink, whether such hyperlink is provided by the Sanskrit Library or by a third party. No judgment or warranty is made with respect to the accuracy, timeliness, or suitability of the content of any site to which the Sanskrit Library's webpages may link, including information on the site regarding the Sanskrit Library, and the Sanskrit Library takes no responsibility therefor. By providing access to other websites, the Sanskrit Library is not necessarily recommending or endorsing services provided by any website's sponsoring organization.</p>

<h3>Disclaimers</h3>
<p>There are no implied or expressed warranties on the materials in this site; the materials are provided "as is." The Sanskrit Library and its affiliates disclaim, to the fullest extent of the law, any warranty of any kind, whether express or implied, as to any matter whatsoever relating to this service, including without limitation the implied warranties of merchantability, fitness for a particular purpose, and noninfringement. Use of this service is at your own risk. The Sanskrit Library and its affiliates intend that the information contained in this service be accurate and reliable; however, errors sometimes occur. The Sanskrit Library does not warrant that the functions contained in the materials will be uninterrupted or error-free, that defects will be corrected, or that this site or the servers that make it available are free from viruses or other harmful components.</p>

<p>The Sanskrit Library does not warrant or represent that the materials in this site are correct, accurate, or reliable. You (and not the Sanskrit Library) assume the entire cost of all necessary servicing, repair, or correction of your property or operations as a result of using this website. By using SanskritLibrary.org, you accept at your own risk that the Internet and online communications medium may not perform as intended despite the efforts of the Sanskrit Library, your Internet service provider, and you. If you live in a state that does not allow disclaimers of implied warranties, our disclaimer may not apply to you.</p>

<h3>Limitation of Liability</h3>

<p>The Sanskrit Library and its affiliates are not liable under any circumstances--including but not limited to negligence--for any special or consequential damages that may result from the use of, or the inability to use, the materials on this site, even if the Sanskrit Library or a Sanskrit Library-authorized representative has been advised of the possibility of such damages.</p>

<p>The Sanskrit Library and its affiliates are not liable for damages or injury, including but not limited to damages or injury caused by any performance, failure of performance, error, omission, interruption, deletion, defect, delay in operation or transmission, computer virus, communications line failure, theft or destruction or unauthorized access to, alteration of, or use of information, whether resulting, in whole or in part, from breach of contract, tortious behavior, negligence, or otherwise. If you live in a state that does not allow the limitation or exclusion of liability or incidental or consequential damages, the above limitation or exclusion may not apply to you.</p>

<p>In no event shall the Sanskrit Library's total liability to you for damages, losses, and causes of action--whether in contract, tort (including, but not limited to, negligence), or otherwise--exceed the amount paid by you to the Sanskrit Library, if any, for accessing the Sanskrit Library's site.</p>

<h3>Jurisdictional Issues and Applicable Law</h3>

<p>Unless otherwise specified, the Sanskrit Library controls and operates this site from its office within the State of Rhode Island and Providence Plantations, United States of America.</p>

<p>The Sanskrit Library does not claim that materials in this site are appropriate or available for use in locations other than the State of Rhode Island and Providence Plantations. If you choose to access this site from other locations, you do so on your own initiative, and you are responsible for compliance with any applicable local laws.</p>

<p>Software from this site is further subject to United States export controls. Software from this site may not be downloaded or otherwise exported or reexported outside the United States. By downloading or using the Software, you represent and warrant that you are not located in, under the control of, or a national or resident of any country or territory outside of the United States.</p>

<p>The laws of the State of Rhode Island and Providence Plantations govern these terms. If you take legal action relating to these terms, you agree to file such action only in the Court of Common Pleas of Providence, State of Rhode Island and Providence Plantations, or the United States District Court for the State of Rhode Island and Providence Plantations, and you consent and submit to the personal jurisdiction of those courts for the purposes of litigating any such action.</p>

<h3>Termination</h3>
<p>Either party may terminate this agreement at any time by destroying:</p>

<ul>
<li>All materials obtained from any Sanskrit Library site.
<li>All related documentation, copies, and installations, whether or not made under these terms.
</ul>

<p>The Sanskrit Library will terminate this agreement immediately without notice if, in the Sanskrit Library's sole discretion, you fail to comply with any term or provision of this agreement. Upon termination, you must destroy all materials obtained from this or any Sanskrit Library site and all copies of those materials, whether or not they were made under these terms.</p>

<h3>Integration and Severability</h3>
<p>If any provision of these terms is deemed unlawful, void, or for any reason unenforceable, then that provision will be deemed severable from these terms and will not affect the validity and enforceability of the remaining provisions.</p>

<p>The preceding terms and conditions of use represent the entire agreement between the Sanskrit Library and the user relating to the subject matter herein.</p>

<h3>Acknowledgment</h3>
<p>Click on the "I accept" button to indicate that you have read the agreement and accept its terms.</p>

<center>
<form>
<input type="button" name="accept" value="I accept" onclick="window.location='Registration'">
<input type="button" name="decline" value="I do not accept" onclick="window.location='Index'">
</form>
</center>

</html>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
