<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<center>
<h1>Enhancing Access to Primary Cultural Heritage Materials of India</h1>
<h2>Integrating images of literary sources with digital texts, lexical resources, linguistic software, and the web</h2>
</center>
<h2>Major activities</h2>
<p>The project aims to enhance access to primary cultural heritage materials of India housed in American libraries by integrating them with the digital texts, lexical resources, and linguistic software in the Sanskrit Library.  The project selected a small but important set of texts represented in the Indic manuscript collections at Brown University and the University of Pennsylvania, and in the Sanskrit Library’s collection of digital texts. The Brown University Library and the Rare Books and Manuscripts Library at the University of Pennsylvania made high-quality digital images of ninety manuscripts of the great Indian epic <i>Mahābhārata</i>, and sixty-eight manuscripts of the preeminent Vaiṣṇava text <i>Bhāgavata Purāṇa</i>. Sanskrit Library assistants collected catalog data and inserted that data into the XML template Scharf made in accordance with the Text-Encoding Initiative’s (TEI) manuscript guidelines, and Scharf completed editing the catalog the first week of May 2012. Scharf and Amey Huchins, the catalog librarian at the Rare Books and Manuscripts Library at the University of Pennsylavania, worked out parameters to map the completed catalog data onto the standard MaRC records used by libraries. Bunker is using this mapping to write code to transform the TEI-conformant XML catalog records to standard MaRC records for inclusion in the Penn Library catalog. He is also writing a sophisticated search interface that will provide access to manuscripts by way of a number of parameters including author, title, scribe, place, and text contained in passages transcribed. The lists of authors, titles, scribes, places, and other significant terms enrich the information provided by major Sanskrit lexical sources currently available, and constitute an additional lexical source that will be added to the Sanskrit Library’s multi-dictionary interface.</p>
<p>Bunker developed the Sanskrit Image-Text Alignment interface (SITA) that facilitated correlation of manuscript page boundaries with the corresponding digital text by a project assistant. <a href='#fig26' id='fig26ref'/>Figure 26</a> shows the table of contents with the second image of UPenn 490 selected. <a href='#fig27' id='fig27ref'/>Figure 27</a> shows on the left a section of text on the recto of folio 1 of the manuscript marked at its beginning and end by small red brackets correlated with a selection of digital text highlighted in grey on the right. The selection (MBh. 12.47.1-3) is the opening of the <i>Bhīṣmastavarāja</i> (the praise of Viṣṇu by the grandfather Bhīṣma) which occurs in the twelfth book (<i>parvan</i>) of the <i>Mahābhārata</i>. The text in red in the manuscript image that precedes the open bracket is identified as a benediction in <a href='#fig28' id='fig28ref'/>Figure 28</a>; the passage does not have corresponding text in the digital edition since the digital edition does not include invocations. <a href='#fig29' id='fig29ref'/>Figure 29</a> shows an XML file of text-image alignment and annotation records. The XML annotation records allow multiple manuscript images to be linked to searchable digital texts thereby allowing focused access to individual pages in manuscript images that contain the sought passage.</p>
<p>The Sanskrit Library catalog of the manuscripts in the project provides access to the manuscript images, directly through an index of folios and indirectly through passages included in the manuscript catalog.  <a href='#fig30' id='fig30ref'/>Figure 30</a> shows a sample HTML page containing the catalog entry for UPenn 490.  Clicking on ‘f. 1v’ beside the heading ‘Incipit’ on p. 1 of the entry brings up the verso of the first folio as shown in <a href='#fig33' id='fig33ref'/>Figure 33</a>.  Similarly every reference of ‘f.’ followed by a folio number and ‘r’ or ‘v’ (for recto or verso), including those in the complete table of digital images shown in p. 3 of <a href='#fig30' id='fig30ref'/>Figure 30</a>, is a link to an image of the corresponding manuscript page.  Clicking on the text under the heading, ‘Incipit,’ near the beginning of the catalog entry locates the pointer at the beginning of the first sentence or verse of the work in the transcription section of the catalog entry shown in p. 4 of <a href='#fig30' id='fig30ref'/>Figure 30</a>.  An alternate view of the transcription section that shows the layout of lines exactly as on the manuscript page, where sentence and verse structure were regularly ignored, is shown in <a href='#fig31' id='fig31ref'/>Figure 31</a>.  Clicking on a bibliographic reference such as “(MBh. 12.47.1ab),” either in the catalog data section (<a href='#fig30' id='fig30ref'/>Figure 30</a>, p. 1) or in the transcription section (<a href='#fig30' id='fig30ref'/>Figure 30</a>, p. 3), opens the file containing the corresponding digital text and locates the pointer at the referenced passage, as shown in <a href='#fig32' id='fig32ref'/>Figure 32</a>. The digital text and all transcriptions in the manuscript catalog are displayed in Devanāgarī by selecting the appropriate parameter in the preferences dialog box. When passages are sought in the search interface, a list of links to the manuscript pages on which the sought passage occurs is generated dynamically.  Clicking a link displays the manusript page as shown in <a href='#fig34' id='fig34ref'/>Figure 34</a>.  The red brackets in the manuscript image indicate the beginning and end of the passage containing the sought passage as the passage was previously correlated with the digital text manually using SITA (<a href='#fig27' id='fig27ref'/>Figure 27</a>).</p>
<p>In addition to the manual alignment of the text in manuscript images with corresponding digital text just described, the project explored the possibility of utilizing automated techniques of text-image alignment and word-spotting.  Oliver Hellwig, who developed OCR software with 99% accuracy on well-printed Hindi texts, tested his software on some of Sanskrit Library manuscript images. His initial attempt provided partial recognition, but also led to the observation of the need for some preprocessing. Donglai Wei, a former undergraduate student in the Division of Applied Math at Brown University and now a graduate student at M.I.T., initiated preprocessing of manuscript images in the pilot manuscript project. First he developed the crop program that splits original digital images of paired manuscript pages into individual page images and produces TEI-conformant XML references to them to be inserted in the XML manuscript catalog entry files. Next he stripped colored border lines and produced a polarized image, as shown in <a href='#fig35' id='fig35ref'/>Figure 35</a>.</p>
<p>The initial exploration of OCR on manuscript images undertaken during the Sanskrit Library pilot project confirms the expected, that viable text-image alignment software requires the inclusion of linguistic and textual constraints and human validation. Besides the SITA program that facilitates human annotation of text-image alignment, the Sanskrit Library has developed other interfaces that facilitate human production and validation of technical and image data. Bunker developed the Siva program that checks the internal and external references in catalog entry XML files and generates reports to facilitate correction. He also developed the Folio program that produces an interface that allows one to check the correlation of the cropped images produced by Donglai Wei's crop program with the original images. <a href='#fig36' id='fig36ref'/>Figure 36</a> shows miniature images of the crops displayed immediately to the right of originals so that an assistant can easily spot where adjustments in correlation are necessary, for example here where the crops are in reverse order.</p>
<h2>Project personnel</h2>
<h3></h3>
<ul>
<li>Peter M. Scharf, Project Director</li>
<li>Ralph E. Bunker, Assistant Professor (MUMRI)</li>
<li>Matthias H. Ahlborn, Post-Doctoral Research Associate</li>
<li>Anupama Ryali, Post-Doctoral Research Associate (UoHyd)</li>
<li>Toke L. Knudsen, Post-Doctoral Research Associate</li>
<li>Benjamin Fleming, Post-Doctoral Research Associate (UPenn)</li>
<li>Susan J. Moore, Post-Doctoral Research Associate</li>
</ul>
<h2>Grant details</h2>
<ul>
<li>period: 1 July 2009 -- 30 December 2013</li>
<li>funding agency: National Endowment for the Humanities, Division of Preservation and Access</li>
<li>funding: $301,540</li>
<li>awardee: Brown University</li>
<li>subawardee: Maharishi University of Management Research Institute (MUMRI)</li>
<li>subawardee: University of Hyderabad (UoHyd)</li>
<li>contractee: University of Pennsylvania (UPenn)</li>
</ul>
<h2>Figures</h2>
<a href='#fig26ref' id='fig26'><h3>Figure 26</a>
Sanskrit Library text-image alignment software: TOC</h3>
<img src='images_neh2008/SitaToc.png' alt='missing' height='' width='800'/>
<a href='#fig27ref' id='fig27'><h3>Figure 27</a>
Sanskrit Library text-image alignment software: correlation</h3>
<img src='images_neh2008/SitaUP490f1v-2r.png' alt='missing' height='' width='800'/>
<a href='#fig28ref' id='fig28'><h3>Figure 28</a>
Sanskrit Library text-image alignment software: variation</h3>
<img src='images_neh2008/SitaBhSRInvocation.png' alt='missing' height='' width='800'/>
<a href='#fig29ref' id='fig29'><h3>Figure 29</a>
Sanskrit Library XML image-text alignment data</h3>
<img src='images_neh2008/SitaXmlDataBhSR2.png' alt='missing' height='' width='800'/>
<a href='#fig30ref' id='fig30'><h3>Figure 30</a>
Sanskrit Library manuscript catalog entry: text structure</h3>
<img src='images_neh2008/penn0490VerseStructure.pdf' alt='missing' height='' width='800'/>
<a href='#fig31ref' id='fig31'><h3>Figure 31</a>
Sanskrit Library manuscript catalog entry: ms. layout</h3>
<img src='images_neh2008/penn0490ManuscriptLayout.pdf' alt='missing' height='' width='800'/>
<a href='#fig32ref' id='fig32'><h3>Figure 32</a>
Sanskrit Library digital text</h3>
<img src='images_neh2008/BhismaStavaRaja1.pdf' alt='missing' height='' width='800'/>
<a href='#fig33ref' id='fig33'><h3>Figure 33</a>
Sanskrit Library cropped image display</h3>
<img src='images_neh2008/penn490f1v.png' alt='missing' height='' width='800'/>
<a href='#fig34ref' id='fig34'><h3>Figure 34</a>
Sanskrit Library annotated image display</h3>
<img src='images_neh2008/penn490MBh12.47.1.png' alt='missing' height='' width='800'/>
<a href='#fig35ref' id='fig35'><h3>Figure 35</a>
Sanskrit Library stripped and polarized image display</h3>
<img src='images_neh2008/UP490body2_crop2Positive.jpg' alt='missing' height='' width='800'/>
<a href='#fig36ref' id='fig36'><h3>Figure 36</a>
Cropped image — original image correlation validation interface</h3>
<img src='images_neh2008/FolioUP490body2.jpg' alt='missing' height='' width='800'/>
<!--
Source documents:
NEH2012/HumanitiesCollectionsReferenceResources/TextCatOnly/Narrative.docx
NEH2012/ResearchDevelopment/Narrative.rtf
-->

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
