<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<center>
<h1>Sanskrit lexical sources: digital synthesis and revision</h1>
</center>
<h2>Major activities</h2>
<p>A current project jointly funded by the NEH and the Deutsche Forschungsgemeinschaft extends the Sanskrit Library’s <a href='FunderburkInterface?type=2'>multidictionary interface</a> by integrating supplements to the major bilingual dictionaries already included, and by adding specialized dictionaries, indigenous Indian monolingual dictionaries, traditional thesauri, and traditional linguistic analyses. The project links these lexical resources with digitized Sanskrit texts in the same manner as the lexica Bunker built from Scharf’s analysis of the <i>Rāmopākhyāna</i> and <i>Aṣṭādhyāyī</i>.  While these two lexical resources already provide compounds and specialized linguistic vocabulary not found in Monier-Williams’ (1899) <i>A Sanskrit-English Dictionary</i>, the addition of the lexical sources in the current project will vastly increase the scope of coverege.  In addition the multidictionary interface will vastly ease access to specialized linguistic resources now consulted only by experts.</p>
<p>Even after data-entry of the various lexical sources, the task of integrating them is complicated by the different conventions used by their original compilers.  Compilers differ in the scripts they use, conventions of sandhi, selection of stem versus an inflected form, determination of the base form, etc.  The project examines the conventions used in each lexical source, and determines ways of mapping the differences to each other.  In addition to the NEH grant, by virtue of his current position in a Chaire Internationale de Recherche Blaise Pascal, the project director contracted IIT Bombay to engage two post-doctoral Sanskrit researchers to assist in editing lexical resources and correlating their headwords.</p>
<h2>Project personnel</h2>
<ul>
<li>Peter M. Scharf, Project Director (MUMRI), Chaire Internationale de Recherche Blaise Pascal (UP7, INRIA)</li>
<li>Ralph E. Bunker, Assistant Professor (MUMRI)</li>
<li>Thomas Malten, Project Director (Cologne)</li>
<li>Sivaja Nair, Post-doctoral Research Associate (IITB)</li>
<li>Sampada Savardekar, Post-doctoral Research Associate (IITB)</li>
</ul>
<h2>Grant details</h2>
<ul>
<li>period: 1 July 2009 -- 30 June 2014</li>
<li>U.S. funding agency: National Endowment for the Humanities, Office of Digital Humanities</li>
<li>funding: $177,872</li>
<li>location: Maharishi University of Management Research Institute (MUMRI)</li>
<li>German funding agency: Deutsche Forschungsgemeinschaft</li>
<li>period: 1 July 2009 -- 30 June 2013</li>
<li>funding: €111,500</li>
<li>location: Universität Köln (Cologne)</li>
<li>subcontractee: Indian Institute of Technology, Bombay (IITB)</li>
</ul>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
