<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="../WEB-INF/jspf/Head.jspf"%>
<%@include file="../WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="../WEB-INF/jspf/Menu.jspf"%>
<%@include file="../WEB-INF/jspf/SymposiumPage.jspf"%>

<center><h3>Announcement</h3></center>

<p class=MsoBodyText style='text-align:justify'>The International Digital Sanskrit Library Integration project
(IDSLI) at Brown University will host the Second International Sanskrit
Computational Linguistics Symposium and Sanskrit
Library Workshop to be held at <a href="http://www.brown.edu/">Brown
University</a> in <a href="http://www.providenceri.com/">Providence</a>, <a
href="http://www.visitrhodeisland.com/">Rhode Island</a>, USA Thursday-Saturday
15-17 May 2008.<span style="mso-spacerun: yes">&nbsp; </span>The Symposium
follows upon the successful <a href="http://sanskrit.inria.fr/Symposium/">First
International Sanskrit Computational Linguistics Symposium</a> 29-31 October
2007 hosted by <a href="http://pauillac.inria.fr/~huet/">G&eacute;rard Huet</a> at
INRIA, Rocquencourt near Paris and the formation of the International Sanskrit
Computational Linguistics Consortium.<span style="mso-spacerun: yes">&nbsp;
</span>For the Second Symposium this May, scholars are invited to submit
proposals for presentation on the following topics:</p>

<ul>
	<li>Modeling linguistic processes for Sanskrit, including modeling prosodic or accentual rules such as Pratishakhya rules, Paninian or non-Paninian grammar, rules of historical language change, etc.</li>
	<li>Developing digitized lexical sources</li>
	<li>Lexical, inflectional, part-of-speech or higher-level tagging</li>
	<li>Lexical categorization and semantic networking</li>
	<li>Parsing, morphological and syntactic analysis</li>
	<li>Collation and critical edition software</li>
	<li>Text-image alignment and OCR-technnology</li>
</ul>

<p class=MsoBodyText style='text-align:justify'>Scholars interested in
presenting are requested to send an abstract to the <a
href="mailto:scharf@brown.edu?subject=Sanskrit%20Computational%20LInguistics%20Symposium%20Abstract">convener</a>
no later than 15 March 2008 to be followed upon acceptance by a draft of the
paper by 15 April.<span style="mso-spacerun: yes">&nbsp; </span>Abstracts of no
more than 300 words should cover the following points: (a) the precise topic
treated, (b) your exact contribution to the problem, (c) its relationship to
previous scholarship on the topic, (d) specific conclusions.<span
style="mso-spacerun: yes">&nbsp; </span>Final versions of papers revised by 30
June will be published in proceedings of the symposium in The Sanskrit Library publication series.</p>

<p class=MsoBodyText style='text-align:justify'>The symposium will include
sessions on various topics on Thursday, and sessions on digital critical
editions, collation software, and text-image alignment on Friday. The workshop
on Saturday will include discussion of encoding and tagging standards, and
protocols for the coordination of digital resources.<span style="mso-spacerun:
yes">&nbsp; </span>IDSLI, including the symposium and workshop, is funded by
the U.S. National Science Foundation, Division of Information and Intelligent
Systems, under grant number 0535207.</p>

<p class=MsoBodyText><span style='font-size:13.0pt;font-family:Arial'><b>Conference
convenor:<o:p></o:p></b></span></p>

<p class=MsoBodyText><a
href="http://www.brown.edu/Departments/Classics/people/facultypage.php?id=10044">Peter
Scharf</a>, <a href="http://www.brown.edu/Departments/Classics/">Department of
Classics</a>, <a href="http://www.brown.edu/">Brown University</a>, <a
href="http://www.providenceri.com/">Providence</a>, <a
href="http://www.visitrhodeisland.com/">Rhode Island</a>, USA</p>

<p class=MsoBodyText><span style='font-size:13.0pt;font-family:Arial'><b>Program
committee:<o:p></o:p></b></span></p>

<p class=MsoBodyText><a
href="http://www.arts.mcgill.ca/linguistics/faculty/gillon/">Brendan S. Gillon</a>,
Department of Linguistics, McGill University, Montreal, Canada<br>
<a href="http://www.cubs.buffalo.edu/govind/">Venugopal Govindaraju</a>, <a
href="http://www.cedar.buffalo.edu/">Center for Excellence in Document Analysis
and Recognition</a>, University of Buffalo<br>
<a href="http://archimedes.fas.harvard.edu/mdh/">Malcolm Hyman</a>,
<a href="http://www.mpiwg-berlin.mpg.de/">Max-Planck-Institut f&uuml;r Wissenschaftsgeschichte</a>, Berlin, Germany<br>
<a href="http://pauillac.inria.fr/~huet/">G&eacute;rard Huet</a>, INRIA Rocquencourt,
France<br>
<a href="http://sanskrit.uohyd.ernet.in/faculty/amba/">Amba Kulkarni</a>, Department of
Sanskrit Studies, University of Hyderabad, India<br>
<a href="http://www.hss.iitb.ac.in/faculty.php#malhar">Malhar Kulkarni</a>,
Dept. of Humanities &amp; Social Sciences, IIT Mumbai, India<br>
<a href="http://www.stg.brown.edu/staff/elli.html">Elli Mylonas</a>, Computing
and Information Services, Brown University, Providence, RI, USA</p>

<%@include file="../WEB-INF/jspf/NSFfooter.jspf"%>

<%@include file="../WEB-INF/jspf/BodyEnd.jspf"%>
