<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="../WEB-INF/jspf/Head.jspf"%>
<%@include file="../WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="../WEB-INF/jspf/Menu.jspf"%>
<%@include file="../WEB-INF/jspf/EnglishPage.jspf"%>

<center>
<h3>Announcement</h3>
<h4>Seminar on Sanskrit syntax and discourse structures.
<br/>13-15 June 2013
<br/>Universit&eacute; Paris Diderot</h4>
</center>

<p class=MsoBodyText style='text-align:justify'>Peter Scharf, laureate of a <a href='http://www.chaires-blaise-pascal.org'/>Chaire Internationale de Recherche Blaise Pascal</a> and visiting professor, <a href='http://www.univ-paris-diderot.fr/sc/site.php?bc=recherche&np=FICHELABO&g=m&num=105C'/>Laboratoire d'Histoire des Th&eacute;ories Linguistiques</a>, <a href="http://www.univ-paris-diderot.fr/">Universit&eacute; Paris Diderot</a>, and <a target='_blank' href='http://yquem.inria.fr/~huet/'>G&eacute;rard Huet</a>, directeur de recherche, <a href="http://www.inria.fr/">Institut National de Recherche en Informatique et en Automatique (INRIA)</a> will host a seminar on Sanskrit syntax and discourse structures 13-15 June 2013 at the <a href="http://www.univ-paris-diderot.fr/">Universit&eacute; Paris Diderot</a>, <a href="http://en.parisinfo.com/">Paris</a>, <a
href="http://us.franceguide.com/">France</a>. The theme of the seminar is the exposition of current theoretical knowledge concerning Sanskrit syntax and the application of state of the art methods of computational linguistics to Sanskrit.  Seminar presentations will include a limited number of critical surveys of research as well as research papers.  The seminar will serve to identify avenues of productive research in computational Sanskrit syntax, and objectives for a workshop on computational Sanskrit syntax to follow immediately upon the seminar, 17-21 June, at <a href="http://www.inria.fr/">INRIA</a>. The workshop will aim to attain critical objectives and overcome stumbling blocks to collaborative progress in productive research in Sanskrit syntax.</p>

<p class=MsoBodyText style='text-align:justify'>Scholars are invited to submit proposals for presentation at the seminar on the following topics:</p>

<ul>
	<li>word-order constraints in prose</li>
	<li>alterations of word-order in verse</li>
	<li>meter identification</li>
	<li>dependency tree analysis</li>
	<li>phrase structure analysis (interrogatives)</li>
	<li>dislocation measurement</li>
	<li>relationship between dependency and phrase-structure analysis</li>
	<li>identification of focus</li>
	<li>identification of parentheticals</li>
	<li>clause and sentence segmentation</li>
	<li>ellipsis and topic marking</li>
	<li>named entity recognition</li>
	<li>anaphora/cataphora</li>
	<li>argument structure (pūrvapakṣa-uttarapakṣa, ākṣepa-ekadeśisamādhāna-siddhānta, etc.)</li>
	<li>dialogue structure (turn of speech marking, first and second person pronoun tracking, subordination operators such as <i>iti</i>, vocatives, frame stories)</li>
	<li>treatise structure</li>
	<li>structure of verbal cognition</li>
</ul>

<p class=MsoBodyText style='text-align:justify'>Proposals for surveys of research at the seminar should consist of an abstract outlining the scope of the survey, evaluation of the state of research in the field, and directions for future research and should include an outline and bibliography.</p>
<p class=MsoBodyText style='text-align:justify'>Proposals for research papers at the seminar should take the form of a single-page abstract (300 words) that covers the following points:</p>
<ul>
	<li>the precise topic treated</li>
	<li>your exact contribution to the problem</li>
	<li>its relationship to previous scholarship on the topic</li>
	<li>specific conclusions</li>
</ul>
<p class=MsoBodyText style='text-align:justify'>A couple of objectives have already been identified for the workshop:</p>
<ul>
	<li>to coordinate tagged data and mutually translate dependency and phrase structure analyses in order to develop an adequately sized database of syntactically tagged data.</li>
	<li>to develop statistical methods for computing penalties in syntactic analysis.</li>
</ul>
<p class=MsoBodyText style='text-align:justify'>Proposals to participate in the workshop on these or additional topics are welcome.</p>

<p class=MsoBodyText style='text-align:justify'>Please send presentation proposals by 1 March 2013 to <a href="mailto:peter.scharf@univ-paris-diderot.fr?subject=Sanskrit%20Syntax%20Seminar">Peter Scharf</a></p>.

<h4>Sponsors</h4>
<ul>
	<li><a href='http://www.chaires-blaise-pascal.org'/>Chaire Internationale de Recherche Blaise Pascal</a> financ&eacute;e par l’État et la R&eacute;gion d'Ile-de-France, g&eacute;r&eacute;e par la Fondation de l’École Normale Sup&eacute;rieure</li>
	<li><a href='http://www.univ-paris-diderot.fr/sc/site.php?bc=recherche&np=FICHELABO&g=m&num=105C'/>Laboratoire d’Histoire des Th&eacute;ories Linguistiques</a>, <a href="http://www.univ-paris-diderot.fr/">Universit&eacute; Paris Diderot</a></li>
	<li><a href="http://www.inria.fr/">Institut National de Recherche en Informatique et en Automatique</a></li>
	<li><a href='http://sanskrit.uohyd.ernet.in/lang_tech/scl/frame.html'/>International Sanskrit Computational Linguistics Consortium</a></li>

<%@include file="../WEB-INF/jspf/BodyEnd.jspf"%>
