<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<script type="text/javascript" src="js/pagedisplay.js"></script>


<script type="text/javascript">
    var doSubmit = false;
    var doTest = false;
    var radioButtonChosen = true;

    $(function()
    {
        VKI_load();
        restoreViewState();
        var $rb = $("#rbInput1");
        if ($rb[0].checked)
        {
            doSubmit = true;
            doTest = false;
        }
        var $rb = $("#rbInput3");
        if ($rb[0].checked)
        {
            doSubmit = true;
            doTest = true;
        }
        $("#uploadFile")[0].disabled = !doSubmit;
        ${result}
    });

        function transcode()
        {
            if (!testSubmit())
                return false;

            if (doSubmit)
                return true;

            var data = "";

            var el = $("#lstSourceEncoding")[0];
            data += "&lstSourceEncoding=" + el[el.selectedIndex].value;

            el = $("#lstTargetEncoding")[0];
            data += "&lstTargetEncoding=" + el[el.selectedIndex].value;

            el = $("#txtInput");
            data += "&txtInput=" + el.val();

            el = $("#chkHex");
            if (el[0].checked)
                data += "&chkHex=" + el.val();

            $.ajax({
                async: true,
                type: "POST",
                url: "TranscodeText",
                contentType: "application/x-www-form-urlencoded; charset=UTF-8",
                data: data,
                beforeSend: function(xhr){$("#divResult").html("Loading...")},
                success: function(response, status)
                {
                    if (status == "success")
                    {
                        $("#divResult").html("&nbsp;");
                        $("#txtInput").val(response);
                        /*alert("The SLP1 version of your text has been appended to file textEntry on the server.")*/
                    }
                },
                error: function (xhr, status, errorThrown)
                {
                    $("#divResult").html(status);
                }
            });

            return true;
        }

        function testSubmit()
        {
            var el = $("#lstTargetEncoding")[0];
            if (!radioButtonChosen)
            {
                alert("Please choose an input type (either file upload or text entry)")
                return false;
            }

            if (el.selectedIndex == 0)
            {
                alert("Please choose a target encoding");
                return false;
            }


            if (!doTest && doSubmit && $("#uploadFile").val().length==0)
            {
                alert("You have chosen to upload a file but you have not specified the file");
                return false;
            }

            if (!doTest && !doSubmit && $("#txtInput").val().length==0)
            {
                alert("You have chosen to enter text but have not entered any");
                return false;
            }

            return true;
        }

        function testFormSubmit()
        {
            if (!testSubmit())
                return false;
            else if (doSubmit)
            {
                saveViewState();
                return true;
            }
            else
                return false;
        }

        function clearText()
        {
            $("#txtInput").val("");
        }

        function showSLP1(text)
        {
            alert(text);
        }


        function processRadioButton(el)
        {
            radioButtonChosen = true;
            doTest = el.value=="test";
            doSubmit = el.value == "upload" || doTest;
            var $txtInput = $("#txtInput");
            $txtInput[0].disabled = doSubmit;
            $("#uploadFile")[0].disabled = !doSubmit || doTest;
            if (el.value=="type")
            {
                if ($txtInput[0].tagName.toLowerCase() != "textarea")
                {
                    $parent = $txtInput.parent();
                    $parent.html("<textarea id='txtInput' rows='20' cols='100'></textarea>");
                }
            }
        }



</script>

<script type="text/javascript" src="keyboard_js"></script>

<form id="file_upload_form" enctype='multipart/form-data' method='POST' onsubmit="return testFormSubmit()">
    <div class="segment">
        <input type="radio" id="rbInput1" name="rbInput" value="upload" onclick="processRadioButton(this)"/> <span>Upload file</span> <input id="uploadFile" name="uploadFile" type='file' disabled="disabled" value="Upload text file"/><br/>
        <input type="radio" id="rbInput2" name="rbInput" checked="checked" value="type" onclick="processRadioButton(this)"/> <span>Enter text below</span><br/>
        <input type="radio" id="rbInput3" name="rbInput" value="test" onclick="processRadioButton(this)"/> <span>Run test suite</span><br/>
        <div id="displayArea">
            <${display} id="txtInput" rows="20" cols="100">${txtInput}</${display}>
        </div>
        <div id="divResult">&nbsp;</div>
        <table>
            <tr>
                <td valign="top">
                    <span>Transcode from </span>
                    <select id="lstSourceEncoding" name="lstSourceEncoding" style="margin-right:10px">
                        <option value="slp1" selected="selected">SLP1</option>
                        <option value="deva">Unicode Devanagari</option>
                        <option value="roman">Unicode Roman</option>
                        <option value="hk">Kyoto-Harvard</option>
                        <option value="itrans">ITrans</option>
                        <option value="titus">Titus</option>
                        <option value="vedatype">Vedatype (M.U.M.)</option>
                        <option value="velthuis">Velthuis</option>
                        <option value="wx">Hyderabad-Tirupati</option>
                        <option value="telugu">Telugu</option>
                        <option value="bengali">Bengali</option>
                        <option value="gujarati">Gujarati</option>
                        <option value="gurmukhi">Gurmukhi</option>
                        <option value="kannada">Kannada</option>
                        <option value="malayalam">Malayalam</option>
                        <option value="oriya">Oriya</option>
                        <!--option value="tamil">Tamil</option-->
                    </select>
                </td>
                <td valign="top">
                    <span> to </span>
                    <select id="lstTargetEncoding" name="lstTargetEncoding" style="margin-right:10px">
                        <option value="firstLine">select desired encoding</option>
                        <option value="slp1">SLP1</option>
                        <option value="deva">Unicode Devanagari</option>
                        <option value="roman">Unicode Roman</option>
                        <option value="hk">Kyoto-Harvard</option>
                        <option value="itrans">ITrans</option>
                        <option value="titus">Titus</option>
                        <option value="vedatype">Vedatype (M.U.M.)</option>
                        <option value="velthuis">Velthuis</option>
                        <option value="wx">Hyderabad-Tirupati</option>
                        <option value="telugu">Telugu</option>
                        <option value="bengali">Bengali</option>
                        <option value="gujarati">Gujarati</option>
                        <option value="gurmukhi">Gurmukhi</option>
                        <option value="kannada">Kannada</option>
                        <option value="malayalam">Malayalam</option>
                        <option value="oriya">Oriya</option>
                        <!--option value="tamil">Tamil</option-->
                    </select>
                </td>
                <td>
                    <input id="btnSubmit" type="submit" value="Submit" onclick="return transcode()"/><br/>
                    <input id="chkHex" name="chkHex" value="hex" type="checkbox"/> <span> display Hexadecimal (for use in HTML)</span>
                </td>
            </tr>
        </table>
        ${viewstate}
    </div>

</form>


<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
