<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Universal Proxy Tester</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
		<script type="text/javascript" src="jquery-1.3.2.js"></script>
		<script type="text/javascript" src="jScrollPane_js"></script>
		<link rel="stylesheet" type="text/css" href="keyboard_css" />
		<link rel="stylesheet" type="text/css" href="main(1)_css" />
		<link rel="stylesheet" type="text/css" href="textDisplay_css"/>
		<link rel="stylesheet" type="text/css" href="jScrollPane_css"/>
		<link rel="stylesheet" type="text/css" href="demoStyles_css"/>
		<link rel="stylesheet" type="text/css" href="unittest_css"/>
		<link href="http://sktlib-dev.ccv.brown.edu/Sanskrit/styles/main.css" rel="stylesheet"  type="text/css" media="screen" />

		<script type="text/javascript" src="keyboard_js"></script>
		<script type="text/javascript" src="ajax_js"></script>
		<script type="text/javascript" src="mainx_js"></script>
		<script type="text/javascript" src="unittest_js"></script>
		<script type="text/javascript">
			var method = "GET";
			var asyncValue = "asynchronous";
			var funcBeforeSend = function(){};
			var funcOnCompletions = function(){};

			function saveProxyCookies(xhr, status, proxyCookie)
			{
				if (status == "success")
				{
					$("#divDisplay").html(xhr.responseText);
					var text = "";
					if (proxyCookie != null && proxyCookie.length > 0)
						text = "X-Set-Proxy-Cookie header = " + proxyCookie;
					else
						text = "No X-Set-Proxy-Cookie header";

					$("#divDisplaySetProxyCookieHeader").html(text);
				}
			}

			function proxyCall(params)
			{
				var url = null;
				var data = null;
				var async = true;
				var beforeSend = function() {};
				var error = function() {};
				var contentType = "x-application/x-www-form-urlencoded; charset=UTF-8";

				if (params.url)
					url = "UniversalProxy?url=" + params.url;		// params.url is URL of origin server
				else
				{
					alert("origin url is missing.")
					return;
				}

				if (params.method)
					method = params.method;

				if (method == "POST")
				{
					if (params.contentType)		// default is "application/www-form-urlencoded; charset=UTF-8"
						contentType = "x-" + params.contentType;

					if (params.data)				// default is null
						data = params.data;
				}

				if (params.queryParams || params.beforeSend || params.proxyCookies)
				{
					beforeSend = function(xhr)
						{
							if (params.queryParams)
								xhr.setRequestHeader("X-Proxy-Params", params.queryParams);
							if (params.proxyCookies && params.proxyCookies.length>0)
								xhr.setRequestHeader("X-Proxy-Cookie", params.proxyCookies);
							if (params.beforeSend)
								params.beforeSend(xhr);
						}
				}

				if (params.async)	// default is asynchronous
					async = params.async;

				if (params.onCompletion)	// default is empty function
					 complete = params.onCompletion;

				if (params.onError)		// default is empty function
					error = params.onError;

				ajaxParams =
						{type: method,
					     url: url,			// includes any query parameters
						  data: data,		// Content-Type is "application/x-www-form-urlencoded" unless set otherwise by params.contentType
						  async: async,
						  beforeSend: beforeSend,
						  error: error,
						  success: function(){},
						  complete: function(xhr, status)
								{
									complete(xhr, status, xhr.getResponseHeader("X-Set-Proxy-Cookie"));
								}
						};

				if (method == "POST")
					ajaxParams.contentType = contentType;

				$.ajax(ajaxParams);
			}

			function testProxy()
			{
//				var originURL = "http://www.language.brown.edu/Sanskrit/tomcat/SLText/UniversalProxyTester";
//				var originURL = "http://localhost:8084/SLText/UniversalProxyTester";
//				var originURL = "http://ipv4.fiddler:8084/SLText/UniversalProxyTester";
//				var originURL = "http://www.language.brown.edu/cgi-skt/decl";
//				var originURL =  "http://www.google.com/search";
//				var originURL = "http://www.mumde.net/";

				var params = "p1=" + escape("hi there") + "&p2=" + encodeURIComponent("\u0915");
//				var params = "stem=f&lexid=&gender=m&filter=" // for brown.edu
//				var params = "hl=en&source=hp&q=swans&aq=f&oq=&aqi=g10";  // google.com
//				var params = "";  // www.mumde.net
				evalFunctionBeforeSend();
				evalFunctionOnCompletion();
				proxyCall({method: method,
							   url: $("#txtURL").val(),
								queryParams: eval($("#txtQueryParameters").val()),
								contentType: $("#txtContentType").val(), //"application/x-www-form-urlencoded",
								data: eval($("#txtContent").val()),
								proxyCookies: $("#txtProxyCookies").val(),
								async: asyncValue == "asynchronous",
								beforeSend: funcBeforeSend,	// called before sending request to server
								onCompletion: funcOnCompletion,	// get value of X-SET-PROXY-COOKIE header and xhr.responseText or xhr.responseXML
								onError: function(xhr, status, errorThrown){alert(status)}
							});
			}

			function setMethod(value)
			{
				method = value;
			}

			function setAsync(value)
			{
				asyncValue = value;
			}

			function evalQueryParameters()
			{
				$("#spanQueryParameters").html(eval($("#txtQueryParameters").val()));
			}

			function evalContent()
			{
				$("#spanContent").html(eval($("#txtContent").val()));
			}

			function evalFunctionBeforeSend()
			{
				eval($("#txtBeforeSend").val());
			}

			function evalFunctionOnCompletion()
			{
				eval($("#txtOnCompletion").val());
			}

			$(function ()
		{
			evalQueryParameters();
			evalContent();
		});
		</script>
	</head>
		<body onload="VKI_load()">
			<div class="segment">
				<h1>Universal Proxy Tester</h1>
		</div>

		<!--%@include file="WEB-INF/jspf/Header.jspf"%-->
		<form onsubmit="return false;">
			<div>
				<div style="border: 1px solid black; width:150px; margin:10px; padding:10px">
					<input type="radio" checked="checked" name="radioMethod" onclick="setMethod('GET')" value="get">GET</input><br/>
					<input type="radio" name="radioMethod" onclick="setMethod('POST')" value="post">POST</input><br/>
				</div>

				<div style="border: 1px solid black; width:150px; margin:10px; padding:10px">
					<input type="radio" checked="checked" name="radioAsync" onclick="setAsync('asynchronous')" value="async">Asynchronous</input><br/>
					<input type="radio" name="radioAsync" onclick="setAsync('synchronous')" value="sync">Synchronous</input><br/>
				</div>

				<table style="width:640px; background-color:transparent">
					<tr>
						<td style="text-align:left; width:120px; background-color:transparent">URL</td>
						<td style="background-color:transparent"><input id="txtURL"
																					style="width:500px;" type="text"
																					value="http://localhost:8084/SLText/UniversalProxyTester"/></td>
					</tr>
					<tr>
						<td style="text-align:left; width:120px; background-color:transparent">Query parameters</td>
						<td style="background-color:transparent"><input id="txtQueryParameters" onblur="evalQueryParameters()"
																						style="width:500px;" type="text"
																						value="'p1=' + escape('hi there') + '&p2=' + encodeURIComponent('\u0915')"/></td>
					</tr>
					<tr>
						<td style="text-align:left; width:120px; background-color:transparent">Content</td>
						<td style="background-color:transparent"><input id="txtContent" style="width:500px;" 
																						type="text" onblur="evalContent()"
																						value="'p3=\u0915'"/></td>
					</tr>
					<tr>
						<td style="text-align:left; width:120px; background-color:transparent">Content-Type</td>
						<td style="background-color:transparent"><input id="txtContentType" style="width:500px;"
																						type="text"
																						value="application/x-www-form-urlencoded; charset=UTF-8"/></td>
					</tr>
					<tr>
						<td style="text-align:left; width:120px; background-color:transparent">Proxy Cookies</td>
						<td style="background-color:transparent"><input id="txtProxyCookies" style="width:500px;"
																						type="text"
																						value="ck1=5; ck2=25"/></td>
					</tr>
					<tr>
						<td style="text-align:left; width:120px; background-color:transparent">beforeSend function</td>
						<td style="background-color:transparent"><input id="txtBeforeSend" style="width:500px;"
																						type="text"
																						value="funcBeforeSend = function (xhr) {}"/>
						</td>
					</tr>
					<tr>
						<td style="text-align:left; width:120px; background-color:transparent">onCompletion function</td>
						<td style="background-color:transparent"><input id="txtOnCompletion" style="width:500px;"
																						type="text"
																						value="funcOnCompletion = function(xhr, status, proxyCookie){saveProxyCookies(xhr, status, proxyCookie)}"/></td>
					</tr>
				</table>
				<br/>
				Query parameters evaluated: <span id="spanQueryParameters"></span><br/>
				Content evaluated: <span id="spanContent"></span><br/><br/>
				<button onclick="testProxy()">Test Proxy</button>
				<div id="divDisplay"></div>
				<div id="divDisplaySetProxyCookieHeader"></div>
			</div>
		</form>
		<%@include file="WEB-INF/jspf/NSFfooter.jspf"%>
	</body>
</html>
