<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<h1>Research Associates sought</h1>
<p>The Indian Institute of Technology Bombay seeks two post-doctoral research associates for two years, from 1 July 2013 to 30 June 2015, to assist in a project entitled, “Developing automated text-image alignment of manuscripts,” in collaboration with The Sanskrit Library, a digital library making the heritage texts of India accessible on the web, under a grant to the latter from the U.S. National Endowment for the Humanities.  The assistant will be responsible for assembling OCR training data and validating automated transcription in interfaces produced in the project. The position carries a stipend of INR 25,000 per month.</p>
<p>The position requires advanced training in Sanskrit, specifically a doctoral degree specializing in Sanskrit grammar (vyākaraṇa) or Indic epigraphy, and experience working with Sanskrit manuscripts, using manuscript catalogs, transcribing and collating manuscripts. Desirable additionally are some or all of the following: manuscript cataloging experience, critical text editing, expertise in XML, competence in the text-encoding initiative (TEI) standards, and HTML. The applicant is expected to be able to work individually as well as to collaborate with technical personnel.</p>
<p>View the official announcement of the position number P(16-3) entitled, “Developing automated text-image alignment of Sanskrit manuscripts” under Advertisement No.H-67/P(16)12-13 at <a href="http://www.ircc.iitb.ac.in/IRCC-Webpage/rnd/JobOpportunities.jsp">Industrial Research and Consultancy Centre (IRCC) website</a>.  Apply by submitting an <a href="http://www.ircc.iitb.ac.in/IRCC-Webpage/rnd/PDF/Application_online.pdf">application form downloadable here</a> at the <a href="http://www.ircc.iitb.ac.in/IRCC-Webpage/rnd/HRMSLoginPage.jsp">IRCC site login page</a>.  Any questions may be directed to the project director (<a href="mailto:scharf@sanskritlibrary.org?Subject=IITB%20Assistant">Peter Scharf</a>) via email with the subject heading, "IITB Assistant".  Items required for the application include the following:
<ul>
  <li class="spaced">a résumé detailing your education, publications, presentations, and employment in the field of Sanskrit and relevant disciplines (such as linguistics, computer science, or other languages)</li>
  <li class="spaced">a description of your relevant experience with links to products produced</li>
  <li class="spaced">a clear indication of your role and responsibility in their production (whether you are exclusively responsible or the manner and extent of your responsibility), and</li>
  <li class="spaced">the names and contact information of three references.</li>
</ul>
<p>All applications filed by 29 March 2013 will be granted full consideration.</p>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
