var sourceOptions = [
    {value:"__", text:"Choose source encoding"},
    {value:"slp1", text:"SLP1"},
    {value:"hk", text:"Kyoto-Harvard"},
    {value:"wx", text:"Hyderabad-Tirupati"},
    {value:"itrans", text:"ITrans"},
    {value:"velthuis", text:"Velthuis"},
    {value:"vedatype", text:"Vedatype (M.U.M.)"},
    {value:"deva", text:"Devanagari Unicode"},
    {value:"roman", text:"Roman Unicode"},
    {value:"bengali", text:"Bengali Unicode"},
    {value:"gujarati", text:"Gujarati Unicode"},
    {value:"gurmukhi", text:"Gurmukhi Unicode"},
    {value:"kannada", text:"Kannada Unicode"},
    {value:"oriya", text:"Oriya Unicode"},
    {value:"malayalam", text:"Malayalam Unicode"},
    {value:"tamil", text:"Tamil Unicode"},
    {value:"telugu", text:"Telugu Unicode"},
    {value:"asis", text:"Anything"}
];

var targetOptions = [
    {value:"__", text:"Choose target encoding"},
    {value:"slp1", text:"SLP1"},
    {value:"hk", text:"Kyoto-Harvard"},
    {value:"wx", text:"Hyderabad-Tirupati"},
    {value:"itrans", text:"ITrans"},
    {value:"velthuis", text:"Velthuis"},
    {value:"vedatype", text:"Vedatype (M.U.M.)"},
    {value:"deva", text:"Devanagari Unicode",     dflt:"de"},
    {value:"roman", text:"Roman Unicode",         dflt:"ro"},
    {value:"bengali", text:"Bengali Unicode",     dflt:"be"},
    {value:"gujarati", text:"Gujarati Unicode",   dflt:"gj"},
    {value:"gurmukhi", text:"Gurmukhi Unicode",   dflt:"gr"},
    {value:"kannada", text:"Kannada Unicode",     dflt:"ka"},
    {value:"oriya", text:"Oriya Unicode",         dflt:"or"},
    {value:"malayalam", text:"Malayalam Unicode", dflt:"ma"},
    {value:"tamil", text:"Tamil Unicode",         dflt:"ta"},
    {value:"telugu", text:"Telugu Unicode",       dflt:"te"},
    {value:"skttex", text:"TeX Devanagari",       dflt:"xd"},
    {value:"texRoman", text:"TeX Roman",          dflt:"xr"},
    {value:"asis", text:"Leave as is"}
];
var selectSource;
var selectTarget;

// setCookie and readCookie were obtained from http://www.javascripter.net/faq/settinga.htm
function setCookie(cookieName,cookieValue,nDays) {
    var today = new Date();
    var expire = new Date();
    if (nDays==null || nDays==0) {
        nDays=1;
    }
    expire.setTime(today.getTime() + 3600000*24*nDays);
    document.cookie = cookieName + "=" + escape(cookieValue) + ";expires=" + expire.toGMTString();
}

function readCookie(cookieName) {
    var theCookie=" "+document.cookie;
    var ind=theCookie.indexOf(" "+cookieName+"=");
    if (ind==-1) {
        ind=theCookie.indexOf(";"+cookieName+"=");
    }
    if (ind==-1 || cookieName=="") {
        return "";
    }

    var ind1=theCookie.indexOf(";",ind+1);
    if (ind1==-1) ind1=theCookie.length;
    return unescape(theCookie.substring(ind+cookieName.length+2,ind1));
}

function removeRow (el) {
    $(el).closest('tr').remove();
}

function buildList (options, defaultOption) {
    var option,
        result = "<select>",
        len = options.length,
        i;

    for (i=0; i<len; i++) {
        option = options[i];
        result = result + "<option value='" + option.value + "'";
        if (defaultOption && option.value === defaultOption) {
            result = result + " selected='selected'";
        }
        result = result + ">" + option.text + "</option>";
    }

    result = result + "</select>";

    return result;
}

function testFormSubmit (){
    var tagInfo = $('#tagtable tr'),
        descs,
        request = [],
        text = null,
        el = $("#uploadFile").get(0);

    if (el.value.length == 0) {
        alert("Please choose a file to transcode.")
        return false;
    }

    tagInfo.each(function(index, el) {
       var o;
       if (index) {
           o = {};
           descs = $(el).find('input');
           o.s = descs.get(0).value;            // start tag
           o.e = descs.get(1).value;            // end tag

           descs = $(el).find('select');
           o.a = $(descs).get(0).value;         // source encoding
           o.b = $(descs).get(1).value;         // target encoding
           request.push(o);
       }
    });

    setCookie('transcodingRules', JSON.stringify(request), 365);

    return true;        // do a normal submit
}

function addRow () {
    var el = $('#tagtable');
    el.append("<tr><td><input/></td><td><input/></td><td>" + 
               selectSource +
               "</td><td>" +
               selectTarget +
               "</td><td><button class='removerow' onclick='removeRow(this)'>remove</button></tr>");
}



function addTranscodingRule (rule) {
    var startTag = rule.s,
        endTag = rule.e,
        sourceEncoding = rule.a,
        targetEncoding = rule.b,
        el = $('#tagtable');

        el.append("<tr><td><input value='" + startTag + "'/></td><td><input value='" + endTag + "'/></td><td>" +
               buildList(sourceOptions, sourceEncoding) +
               "</td><td>" +
               buildList(targetOptions, targetEncoding) +
               "</td><td><button class='removerow' onclick='removeRow(this)'>remove</button></tr>");
}

function addDefaults () {
    var transcoding,
        length = targetOptions.length,
        i;
    for (i=0; i<length; i++ ) {
        transcoding = targetOptions[i];
        if (transcoding.dflt) {
           rule = {};
           rule.s = '<' + transcoding.dflt + '>';            // start tag
           rule.e = '</' + transcoding.dflt + '>';           // end tag
           rule.a = 'slp1';                               // source encoding
           rule.b = transcoding.value;                        // target encoding
           addTranscodingRule(rule);
        }
    }
}


function initTranscodingRules () {
    var transcodingRules = readCookie('transcodingRules'),
        arr,
        len,
        i;

    if (!transcodingRules) {
        addRow();
    } else {
        arr = JSON.parse(transcodingRules);
        len = arr.length;
        for (i=0; i<len; i++) {
            addTranscodingRule(arr[i]);
        }
    }
}

$(function () {
    selectSource = buildList(sourceOptions);
    selectTarget = buildList(targetOptions);
    $('#addtag').click(function () {addRow();return false});
    $('#defaulttags').click(function () {addDefaults();return false});
    initTranscodingRules();
})


/*
function updateLink (data, textStatus, jqXHR) {
    var filelink = $('#filelink').get(0);
    filelink.innerHTML = data;
}

function handleError (jqXHR, textStatus, errorThrown) {
    alert(textStatus);
}


function uploadText (text) {
    $.ajax(
        {
           url: 'TranscodeFile',
           type: 'POST',
           data: 'isAjax=1&text=' + encodeURIComponent(text),
           contentType: "application/x-www-form-urlencoded; charset=UTF-8",
           dataType: 'html',
           success: updateLink,
           error: handleError
        });
}
*/

