// modified from Cologne website, work/fflex/main.js
var requestActive=false;
var win_ls=null;
var $prevWord = null;
var $nextWord = null;
var wordAction = null;

function loadFcn() 
{
	document.getElementById("divTextDisplay").innerHTML = "";
	win_ls=null;
	if (mainContext.debug)
	{
		$tracker = $('<div><p>Page requests</p><p id="pTracer"></p></div>').css({right:'0px', top:'0px', position:'absolute', 'font-size':'24px'});
		$tracker.insertAfter('#divBorder');
	}
}

var mainContext = 
{
	jscrollPaneInitialized: false,
	application: null,
	text: null,
	pagenum: 0,
	numpages: 0,
	pageIndex: [],
	pagesPending: [],
	debug: false,
	debugJScrollPane: false
};


// Called by jScrollPane to fetch a page. (jScrollPane sees this as settings.nextPage)
function getNextPage($pane, pagenum, delay)
{
	if (!pagenum)
		pagenum = 0;
	if (pagenum < mainContext.numpages)
	{
		mainContext.pagesPending.push(pagenum);
		setTimeout(function()
		{
			if (mainContext.pagesPending.length == 1 && mainContext.pagesPending[0] == pagenum)
			{
				mainContext.pagesPending.length = 0;
				loadText(mainContext.application, mainContext.text, pagenum+1);  // make pagenum 1-based
			}
			else // don't fetch this page now. User has probably moved on.
			{
				for (var i=0; i<mainContext.pagesPending.length; i++)
				{
					if (mainContext.pagesPending[i] == pagenum)
						mainContext.pagesPending.splice(i, 1);
				}
			}			
		}, delay);
		return true;
	}
	else
		return false;
}


// Does asynchronous Ajax call to get pagenum
function loadText (application, text, pagenum, sync)
{
	var async = true;  // asynchronous is the default
	// if there is a 4th parameter then do an synchronous call
	if (sync)
		async = false;
		
	var filter = VKI_state["serverOptions"];
	if (filter == "phonetic")
		filter = VKI_state["phoneticInput"];
	
	mainContext.application = application;
	mainContext.text = text;
	  
    var url = application +
    "?filter=" + escape(filter) +
    "&pagenum=" + escape(pagenum) + 
		"&text=" + escape(text) +
		"&textStatus=" + $("#hidTextStatus").val();
		
	
	
	// use closure to remember pagenum
	var callback = function(response, status)
	{
		updatePageText(response, status, pagenum);
	};

	jQuery.ajax({async: async, type:'POST', dataType:'html', url:url, success:callback});
	requestActive=true;
}

// Create one div element for each virtual page. Intially they are all empty. This function is called only once
function createScaffolding()
{
	mainContext.numpages = pageMap.length;
		
	var $scaffolding = $('<div></div>').attr({'id':'divScaffolding'}).css({'position':'relative', 'overflow':'visible'});
		
	for (var i=1; i<=mainContext.numpages; i++)
	{
		var $part = $('<div></div>')
								.attr({'id':'page'+i})
								.css({height:'auto', width:'520px', border:'1px solid black', position:'relative', overflow:'visible'})
								.text('page' + i);
		$scaffolding.append($part);
	}
		
	var $pane = $('#divTextDisplay');
	$pane.empty();
	$pane.append($scaffolding);

	updateScaffolding($pane);
}

// Update offsets in pagetable. Called whenever a new page is loaded.
function updateScaffolding($pane)
{
	var cumulative = 0;
	var initialize = mainContext.pageIndex.length == 0;
	for (var i=0; i<pageMap.length; i++)
	{
		if (initialize)
			mainContext.pageIndex[i] = {offset: cumulative, available: false};
		else // retain value of available
			mainContext.pageIndex[i].offset = cumulative;
			
		cumulative += $('#page' + (i+1)).outerHeight();
		if (i == 0)
			cumulative += $pane.getPixels('padding-top'); // include top padding, if any.
	}
	
	return cumulative + $pane.getPixels('padding-bottom'); // include bottom padding if any;						
}


var busy = false;

function updatePageText(response, status, pagenum) 
{
	if (busy)
		setTimeout(function() { updatePageText(response, status, pagenum); }, 100);
		
	busy = true;
	if (status == 'success') 
	{
		// If this is first call then create divs that will hold pages
		if (pagenum == 1)
			createScaffolding();
			
		if (mainContext.pageIndex[pagenum-1].available)		// already have page
			return;

		mainContext.pageIndex[pagenum-1].available = true;
			
 		requestActive=false;
		var $ansEl = $("#divTextDisplay");
		var $page = $("#page" + pagenum);
		$page.empty();
		$page.append(response);
		$page.css({height: $page.innerHeight()});

		var contentHeight = updateScaffolding($ansEl);

		if ($ansEl.jScrollPane && !mainContext.jscrollPaneInitialized)
		{
			mainContext.jscrollPaneInitialized = true;
			$ansEl.jScrollPane({
				showArrows:true, 
				maintainPosition:false, 
				scrollbarWidth:10, 
				debug:mainContext.debugJScrollPane,
				virtualScrolling:true, 
				nextPage: getNextPage, 
				pageIndex: mainContext.pageIndex, 
				numPages:mainContext.numpages,
				displayThumb:false});
	 	}
	 	
	 	$ansEl.updateContentHeight(contentHeight);
	 	$('#pTracer').append($('<span>page ' + pagenum + ' downloaded.</span><br/>' ));
  }
  busy = false;
}

function convertFilter()
{
	var filterx = "SktDevaUnicode"; // default value
	var filter = VKI_state["serverOptions"];
	
	if (filter == "deva")
		filterx = "SktDevaUnicode";
	else if (filter == "roman")
		filterx = "SktRomanUnicode";
	else if (filter == "phonetic")
	{
		if (VKI_state["phoneticInput"] == "hk")
			filterx = "SLP2HK";
		else if (VKI_state["phoneticInput"] == "slp1")
			filterx = "SLP2SLP";
		else if (VKI_state["phoneticInput"] == "it")
			filterx = "SLP2ITRANS";
  }

	return filterx;
}


function parseVerse(verse)
{
	//window.location='http://google.com';
	window.location="HuetInterface?text=" + escape(verse);
//	window.open("HuetInterface?text=" + escape(verse), "huet", "width=700,height=800,toolbar=yes,directories=yes,menubar=yes,status=yes");
	//this.target="huet";
	//this.href="HuetInterface?text=" + verse;
	//alert("Send to Huet:\n" + verse);
}

// Obsolete. See FunderburkInterface.jsp and FunderburkInterface.java
function getWord(word, el) 
{
	var $currentWord = $(el);
	//setPrevWord($currentWord);		// set $prevWord
	//setNextWord($currentWord);		// set $nextWord;
  var filter = VKI_state["serverOptions"];
	var filterx = convertFilter();
	var parseResponse = wordAction;
	wordAction = null;
  var transLit='SLP2SLP';
  var text = getText();
  var url = "TextViewer";		// use Jim's analyser
  if (hasAnalyzedText()) // unless it is ramopakhyana or astadhyayi
  	url = "WordAnalysis";
  
  url += "?word=" + escape(word) +
   		"&filterin=" + escape(transLit) +
    	"&filter=" + escape(filterx) +
    	"&text=" + escape(text);

	jQuery.ajax({async: parseResponse==null, 
							 type: 'GET', 
							 dataType: 'html', 
							 url: url, 
							 success: function(response, status) { displayLexicalOptions(response, status, parseResponse);}
							});    	
}

function setPrevWord($currentWord)
{
	$prevWord = $currentWord.prevAll("a:first");
}


function setNextWord($currentWord)
{
	$nextWord =  $currentWord.nextAll("a:first");	
}

function hasAnalyzedText()
{
	var text = getText();
	return text == "rAmopAKyAna" || text == "azwADyAyI";
}

function displayLexicalOptions(response, status, parseResponse) 
{
  if (status == "success")
  {
  	var w = null;
  	var page = null;
  	
    if (!parseResponse)
    {
    	response = response.replace(/id_info\(/g, "window.opener.id_info(");
    	if (hasAnalyzedText())
    	{
    		page = response;
	 			w = window.open("", "bob", "width=700,height=500");
	 			w.document.write(page);
	 			w.document.close();
    	}
    	else
    	{
    		var mark = response.lastIndexOf("<disp1>");
    		var response1 = response.substring(0,mark);
    		var response2 = response.substring(mark+7);
    		page = response2 + "<br/>" + response1;
	 			w = window.open("", "bob", "width=300,height=300");
	 			w.document.getElementsByTagName('body')[0].innerHTML = page;
    	}
    	
	 		w.focus();
	 	}
	 	else		// screen scrape result to find head word which is argument to the id_info function
	 	{
	 		var result = response.match(/id_info\("([^"]+)/);
	 		if (result.length == 2)
				wordText = result[1];
			else
				wordText = "?";
	 	}
  } 
  else
    alert("Error! Request status is " + status);
}

function model_info (url) 
{
var win_ls = window.open(url,"modelInfo","width=950,height=700,toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes");
win_ls.focus();
}


function id_info (key)
{
	var filter = convertFilter();
	var url= "LexicalSources" +
       	 "?key=" + escape(key) + 
         "&filter=" + escape(filter) +
         "&translit=SLP1";
	jQuery.ajax(
			{
				async: false, 
				type:'GET', 
				dataType:'text', 
				"url":url,
				success: function(response, status)
				{
					if (status == "success")
					{
						var w = window.open("","idInfo", "width=1000, height=1000,left=0, top=0");
						w.document.write(response);
						w.document.close();
						w.focus();
					}
				}
			});
}


function id_info_version1 (key) {
//$ans = "http://www.sanskrit-lexicon.uni-koeln.de/monier/" .
//	"indexcaller.php?key=$key1&filter=$filter&translit=$transLit";
  var filter = document.getElementById("optdivoutput").value;
//  var translit = document.getElementById("optdivinput").value;
  translit='SLP2SLP';
var url= "http://www.sanskrit-lexicon.uni-koeln.de/monier/" +
         "indexcaller.php?key=" + escape(key) + 
         "&filter=" + escape(filter) +
         "&translit=" + escape(translit);

var win_ls = window.open(url,"idInfo","width=950,height=700,toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes");
win_ls.focus();
}

	function display(book, chapter, verse)
	{
		var $selector = $("#divBookChapterVerse");
		$selector.empty();		// in case page is being refreshed because Server Display was changed.
		displayBooks(book);
		displayChapters(book, chapter);
		displayVerses(book, chapter, verse);
		
		var $book = $("#book");
		if ($book.length > 0)
			$book.change(bookChanged);
		$("#chapter").change(chapterChanged);
		$("#verse").change(verseChanged);		
	}
	
	function bookChanged()
	{
		displayChapters(this.selectedIndex, 0, 0);
		displayVerses(this.selectedIndex, 0, 0)
		verseChanged();
	}
	
	function chapterChanged()
	{
		var booknum = getCurrentBook();
		
		displayVerses(booknum, this.selectedIndex, 0);
		verseChanged();
	}
	
	function verseChanged()
	{
		doLoadPage();
	}
	
	function displayBooks(book)  // this won't change once its created
	{
		var $selector = $("#divBookChapterVerse").css({height: "auto"});
		if (bookGeometry.length > 1)		// need a book list
		{
			var $booklist = $("<select id='book'></select>");
			$selector.append("<span id='bookHeader'>Book</span>");
			$selector.append($booklist);
			for (var i=0; i<bookGeometry.length; i++)
			{
				var b = bookGeometry[i];
				var opt = "<option " + (book==i?"selected":"") + " value='" + i + "'>" + b.book + "</option>";
				$booklist.append($(opt));
			}
		}
	}
	
	function displayChapters(book, chapter)
	{
		var prepend = (bookGeometry.length == 1 && bookGeometry[0].book) ? bookGeometry[0].book+"." : "";
		var chapters = bookGeometry[book].chapters;
		var $chapterList = $("#chapter");
		
		if ($chapterList.length == 0)	// does not exist yet
		{
			var $selector = $("#divBookChapterVerse")
			$selector.append("<span id='chapterHeader'>Chapter</span>");
			$chapterList = $("<select id='chapter'></select>");
			$selector.append($chapterList);
		}
		else
			$chapterList.empty();
		
		chapter = chapter >= 0 ? chapter : chapters.length - 1;
		for (var i=0; i<chapters.length; i++)
		{
				var c = chapters[i];
				var opt = "<option " + (chapter==i?"selected":"") + " value='" + i + "'>" + prepend + c.chapter + "</option>";
				$chapterList.append($(opt));			
		}
	}
	
	function displayVerses(book, chapter, verse)
	{
		var numVerses = 0;
		
		if (chapter < 0)
			chapter = getNumChapters(book) - 1;
		
		if (verse < 0)
			verse = getNumVerses(book, chapter);
			
		numVerses = bookGeometry[book].chapters[chapter].numVerses;
		var $verseList = $("#verse");
		
		if ($verseList.length == 0)	// does not exist yet
		{
			var $selector = $("#divBookChapterVerse")
			$selector.append("<span id='verseHeader'>Verse</span>");
			$verseList = $("<select id='verse'></select>");
			$selector.append($verseList);
		}
		else
			$verseList.empty();
		
		for (var i=0; i<numVerses; i++)
		{
			var verseNum = computeVerseSeqNo(book, chapter, i);
			var opt = "<option " + (verse==i?"selected":"") + " value='" + i + "'>" + (i+1) + "</option>";
			$verseList.append($(opt));			
		}
	}
	
	function getNumBooks()
	{
		return bookGeometry.length;
	}
	
	function getNumChapters(book)
	{
		return bookGeometry[book].chapters.length;
	}
	
	function getNumVerses(book, chapter)
	{
		return bookGeometry[book].chapters[chapter].numVerses;
	}
	
	function gotoText(inc)
	{
			 var $book = $("#book");
			 var $chapter = $("#chapter");
			 var $verse = $("#verse");
			 var currentBook = $book.length > 0 ? $book[0].selectedIndex : 0;
			 var currentChapter = $chapter[0].selectedIndex;
			 var currentVerse = $verse[0].selectedIndex;
			 var newPage = true;
			 if (inc < 0)
			 {
				if (currentVerse + inc >= 0)
					$verse[0].selectedIndex = currentVerse + inc;
				else if (currentChapter + inc >= 0)
				{
					$chapter[0].selectedIndex = currentChapter + inc;
					displayVerses(currentBook, currentChapter + inc, -1);  // highlight last verse of previous chapter
				}
				else if (currentBook + inc >= 0)
				{
					$book[0].selectedIndex = currentBook + inc;
					displayChapters(currentBook + inc, -1);  	// highlight last chapter of previous book
					displayVerses(currentBook + inc, -1, -1);				// highlight last verse of last chapter of previous book
				}
				else		
				{
					alert('Already at first verse of text');
					newPage = false;
				}
			 }
			 else
			 {
				var numVerses = getNumVerses(currentBook, currentChapter);
				if (currentVerse + inc < numVerses)
					$verse[0].selectedIndex = currentVerse + inc;
				else if (currentChapter+inc < getNumChapters(currentBook))
				{
					$chapter[0].selectedIndex = currentChapter + inc;
					displayVerses(currentBook, currentChapter + inc, 0);  // highlight first verse of next chapter
				}
				else if (currentBook + inc < getNumBooks())
				{
					$book[0].selectedIndex = currentBook + inc;
					displayChapters(currentBook + inc, 0);  	// display first chapter of next book
					displayVerses(currentBook + inc, 0, 0);				// display first verse of first chapter of next book
				}
				else
				{
					alert('Already at last verse of text');
					newPage = false;
				}
			 }
			 if (newPage)
			 	doLoadPage();		
	}
	
	function computeVerseSeqNo(currentBook, currentChapter, currentVerse)
	{
        var i = 0;
		var n = 0;
		for (i=0; i<currentBook; i++)
		{
			for (var j=0; j<bookGeometry[i].chapters.length; j++)
			{
				n += bookGeometry[i].chapters[j].numVerses;
			}
		}		
		
		for (i=0; i<currentChapter; i++)
		{
			n += bookGeometry[currentBook].chapters[i].numVerses;
		}
		
		n += currentVerse + 1;
		
		return n;
	}
	
	
	function testPages()
	{
		var sb = "";
		var n = 0;
		for (var i=0; i<bookGeometry.length; i++)
		{
			for (var j=0; j<bookGeometry[i].chapters.length; j++)
			{
				for (var k=0; k<bookGeometry[i].chapters[j].numVerses; k++)
				{
					var verseNum = computeVerseSeqNo(i, j, k);					
					var pageNum = getPageNum(verseNum);
					sb = "" + (i+1) + "." + (j+1) + "." + (k+1) + " verse " + verseNum + " on page " + pageNum + "<br/>";
					alert(sb);
				}
			}
		}		
	}
	
	
	function getPageNum(n)
	{
		var k = pageMap[0];
		for (var i=1; i<pageMap.length; i++)
		{
			if (n < k)
				return i;
			else
				k += pageMap[i];
		}
		return pageMap.length;
	}
	
	function getCurrentBook()
	{
		var $book = $("#book");
		var booknum = 0;
		if ($book.length > 0)
			booknum = $book[0].selectedIndex;
		
		return booknum;
	}
	
	function doLoadPage()
	{
		var currentBook = getCurrentBook();
		var currentChapter = $("#chapter")[0].selectedIndex;
		var currentVerse = $("#verse")[0].selectedIndex;
		var n = computeVerseSeqNo(currentBook, currentChapter, currentVerse);
		var $verse = $("#" + n);
		if ($verse.length == 0)		// if page containing verse has not been loaded yet
		{
			var pagenum = getPageNum(n - 1);		// make it zero-based
			loadText("TextViewer", getText(), pagenum, "async");
			$verse = $("#" + n);
		}
		
		$("#divTextDisplay").scrollText($verse);
	}

// from http://www.webtoolkit.info/javascript-url-decode-encode.html
		function utf8_encode(s)
		{
			return escape(_utf8_encode(unescape(s)));
		}
		
		  
  	function _utf8_encode(str) 
  	{
        str = str.replace(/\r\n/g,"\n");
		var utftext = "";
 
		for (var n = 0; n < str.length; n++) 
		{
            var c = str.charCodeAt(n);

			if (c < 128)
				utftext += String.fromCharCode(c);
			else if((c > 127) && (c < 2048)) 
			{
                utftext += String.fromCharCode((c >> 6) | 192);
				utftext += String.fromCharCode((c & 63) | 128);
			}
			else 
			{
                utftext += String.fromCharCode((c >> 12) | 224);
				utftext += String.fromCharCode(((c >> 6) & 63) | 128);
				utftext += String.fromCharCode((c & 63) | 128);
			}
		}
 
		return utftext;
	}
		
		function transcode(map, text)
		{
			var url = "TextViewer?map=" + escape(map) + "&text=" + escape(text);
			jQuery.ajax({async: false, 
									type:'POST', 
									dataType:'text', url:url, success:callback});			
		}

			function saveViewState()
			{
				$vs = $("input[name^=vs_]");
				$vs.each(function()
				{
                    var el;
                    var j = 0;
					var savedState = "";
					var $this = $(this);
					var id = $this[0].id.substring(3);		// remove the vs_ to get the id of the control to restore
					if (id.substr(0, 3) == "txt")
					{
						var $el = $("#" + id);
						savedState = $el.val();
					}
					else if (id.substr(0,2) == "rb")
					{
						$el = $("input[type=radio][name^=" + id + "]");
						for (j=0; j<$el.length; j++)
						{
							el = $el[j];
							if (el.checked)
							{
								savedState = el.id;
								break;
							}
						}
					}
					else if (id.substr(0,3) == "chk")
					{
						$el = $("input[type=checkbox][name^=" + id + "]");
						var delim = "";
						for (j=0; j<$el.length; j++)
						{
							el = $el[j];
							if (el.checked)
							{
								savedState = savedState + delim + el.id;
								delim = ",";
							}
						}
					}
					else if (id.substr(0,3) == "lst")
					{
						$el = $("#" + id);
						savedState = savedState + $el[0].selectedIndex;
					}
					$this.val(savedState);
				});
			}


			function restoreViewState()
			{
				$vs = $("input[name^=vs_]");
				$vs.each(function()
				{
					var $this = $(this);
					var savedState = $this.val();
					if (savedState.length == 0)		// no state for this control
						return;
					
					var id = $this[0].id.substring(3);		// remove the vs_ to get the id of the control to restore
					var $el = $("#" + id);
					if (id.substr(0, 3) == "txt")
						$el.val(savedState);
					else if (id.substr(0,2) == "rb")
					{
						$el = $("input[type=radio][name^=" + id + "]");
						for (var j=0; j<$el.length; j++)
						{
							var el = $el[j];
							el.checked = el.id == savedState;
						}
					}
					else if (id.substr(0,3) == "chk")
					{
						var ids = savedState.split(",");
						$el = $("input[type=checkbox][name^=" + id + "]");
						for (j=0; j<$el.length; j++)
						{
							el = $el[j];
							var found = false;
							for (var k=0; !found && k<ids.length; k++)
							{
								if (el.id == ids[k])
									found = true;
							}
							el.checked = found;
						}
					}
					else if (id.substr(0,3) == "lst")
					{
						$el = $("#" + id);
						$el[0].selectedIndex = savedState;
					}
				});
			}

/*
function queryInputChar(e){
var keynum;
var keychar;
var numcheck;

if(window.event) // IE
{
keynum = e.keyCode;
}
else if(e.which) // Netscape/Firefox/Opera
{
keynum = e.which;
}
keychar = String.fromCharCode(keynum);
if ((keynum == 10) || (keynum == 13)) { // newline or return
 getWord();
 return (1 == 1);
}
return keychar;
}
*/
/*
<option value='SktRomanUnicode'>Roman Unicode</option>
<option value='SktDevaUnicode' selected='selected'>Devanagari Unicode</option>
<option value='SLP2HK'>Harvard Kyoto</option>
<option value='SLP2SLP'>SLP</option>
<option value='SLP2ITRANS'>ITRANS</option>
*/
