// modified from Cologne website, work/fflex/main.js
var requestActive=false;
var win_ls=null;
var $prevWord = null;
var $nextWord = null;
var wordAction = null;
var useZipFile = false;
var currentVerseNumber = 1;
var divContent;
var currentLink;
var loadOffset;
var loadTimer;
var chunkSize = 50000;
var usePopupForHuet = true;


function setEventHandlers($list, i)
{
    $list.change(function f() {
        verseChanged(i, true)
    });
}

/* Process change in displays */

// n is the number of the list that changed (0-based index)
function verseChanged(n, newPage)
{
    var lastLevel = numLevels - 1;		// rightmost list box
    if (n != lastLevel)
    {
        var a = [];
        // initialize a to selected values of lists to left of list that changed.
        for (var i=0; i<n; i++)
        {
            a.push($lists[i].val());
        }

        a.push($lists[n].val());			// push value of list that changed

        // initialize lists that follow list that changed. The list corresponding to the first value of the left neighbor is displayed.
        for (i=n+1; i<numLevels; i++)
        {
            var values = getDropValues(a);		// get values of next list to immediate right
            $lists[i].empty();

            for (var j=0; j<values.length; j++)
            {
                var opt = $("<option class='levelOption' " + (j==0?"selected='selected'":"") + " value='" + j + "'>" + values[j].v + "</option>");
                $lists[i].append(opt);
            }
            a.push(0);
        }
    }

    verseOffset = baseOffset + parseInt($lists[lastLevel].val());
    var verse = document.getElementById(''+verseOffset);

    var divContent = document.getElementById('divContent');
    divContent.scrollTop = verse.offsetTop;
}



// get values for a.length+1 list given values of the first a.length lists
function getDropValues(a)
{
    var result = bookGeometry[0].s;
    for (var i=0; i<a.length; i++)
    {
        var j = a[i];
        if (result[j].o != undefined)
            baseOffset = result[j].o;
        if (result[j].s == undefined)
        {
            var len = result[j].n;
            var firstValue = parseInt(result[j].f);
            result = [];
            for (j=0; j<len; j++)
            {
                var k = firstValue + j
                result.push({
                    v:k
                });
            }
            return result;
        }
        else
            result = result[j].s;
    }

    return result;
}


/* Titus: Called when next or prev buttons clicked. */
function gotoNextVerse(inc)
{
    var i;
    var list;
    var sel;
    for (i=numLevels-1; i>=0; i--)
    {
        list = $lists[i][0];
        var last = list.length - 1;
        sel = parseInt(list.selectedIndex);
        if ((inc == 1 && sel != last) || (inc == -1 && sel != 0))
            break;
    }

    if (i < 0)
    {
        if (inc == -1)
            alert('You are at the first verse');
        else
            alert('You are at the last verse');
    }
    else if (inc == 1)
    {
        list.selectedIndex = sel + 1;
        verseChanged(i, true);
    }
    else
    {
        list.selectedIndex = sel - 1;
        if (i != numLevels -1)
        {
            verseChanged(i, false);
            list = $lists[i+1][0];
            list.selectedIndex = list.length - 1;
            verseChanged(i+1, true);
        }
        else
            verseChanged(i, true);
    }
}



function convertFilter()
{
    var filterx = "SktDevaUnicode"; // default value
    var filter = VKI_state["serverOptions"];

    if (filter == "deva")
        filterx = "SktDevaUnicode";
    else if (filter == "roman")
        filterx = "SktRomanUnicode";
    else if (filter == "phonetic")
    {
        if (VKI_state["phoneticInput"] == "hk")
            filterx = "SLP2HK";
        else if (VKI_state["phoneticInput"] == "slp1")
            filterx = "SLP2SLP";
        else if (VKI_state["phoneticInput"] == "it")
            filterx = "SLP2ITRANS";
    }

    return filterx;
}

function fixupSLP1 (s) {
        s = s.replace(/[1234567890:()\[\]@#%;!\?\t,=\-.]*/g, '');
        s = s.replace(/  /, ' ');

        return encodeURI(s);
    
}


// Called when a continuous verse is clicked
function displayHuet(el)
{
    transcode(
        function (response, status) {
            var link, target, href, url, className;
            if (status == "success") {
                url = SHLink + '/SKT/skt_heritage?t=SL&lex=MW&st=t&us=f&cp=t&text=' + fixupSLP1(response);
                if (usePopupForHuet) {
                    //window.location = url;
                    var margin = 50;
                    var params = "location=yes,resizable=yes,menubar=yes,left=" +
                        margin +
                        ",top=" +
                        margin +
                        ",width=" +
                        (window.innerWidth - 4*margin) +
                        ",height=" +
                        (window.innerHeight - 2*margin) +
                        ",scrollbars=yes";
                    var w = window.open(url, "Sanskrit Heritage", params);
                    if (w == null) {
                        w = window.open(url, "Sanskrit Heritage");
                    }
                } else {
                    link = document.createElement('a');

                    if (document.createAttribute) {
                        target = document.createAttribute('target');
                        target.nodeValue = 'huet';
                        link.setAttributeNode(target);

                        href = document.createAttribute('href');
                        href.nodeValue = url;
                        link.setAttributeNode(href);

                        $(link).addClass('X');
                    } else {
                        link.target = 'huet';
                        link.href = url;
                        link.className = 'X';
                    }

                    link.innerHTML = el.innerHTML;
                    el.parentElement.replaceChild(link, el);

                    // setTimeout(function () {link.click();}, 1000);
                    
                }
            }
        },
        '*:' + readCookie('serverOptions') + '->slp1', $(el).text());
}

function displayFunderburk(el)
{
    var selectedForm = $(el).text();
    el.target="funderburk";
    el.href = "FunderburkInterface?type=0&selectedForm=" + utf8_encode(selectedForm);
}


function convertToSLP1(el, f)
{
    // Convert verse to SLP1
    jQuery.ajax({
        async: false,
        type: 'POST',
        contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
        dataType: 'html',
        data: "verse=" + $(el).text(),
        url: "TextViewer",
        success: function(response, status)
        {
            if (status == "success")
            {
                f(el, response);        // do something with the SLP1
            //                        var w = window.open("", "huet", "width=700,height=500,toolbar=yes,location=yes")
            //                        w.document.write(response);
            //                        w.document.close();
            }
            else
                alert("Link not working");
        },
        error: function(XMLHttpRequest, textStatus, errorThrown)
        {
            alert(textStatus);
        }
    });

//alert("Send to Huet:\n" + verse);
}

// Called from popup window as window.opener.buildhref
function buildhref(a, el)
{
    var text = getSelText(el);
    a.href = "http://sanskrit.inria.fr/cgi-bin/sktreader?t=SL&topic=&mode=p&text=" + escape(text);
}

function getSelText(el)
{
    var txt = '';
    if (el.selectionStart != undefined && el.selectionEnd != undefined)
    {
        var start = el.selectionStart;
        var end = el.selectionEnd;
        txt = el.value.substring(start, end);
    }
    else if (window.getSelection)
        txt = window.getSelection();
    else if (document.getSelection)
        txt = document.getSelection();
    else if (document.selection)
        txt = document.selection.createRange().text;
    else
        return "";

    if (txt.length > 0)
        return txt;
    else
        return el.value;
}

/* Called when a user clicks a word */
function getWord(word)
{
    var filterx = convertFilter();
    var parseResponse = wordAction;
    wordAction = null;
    var s = "word=" + word;
    var url = "TextViewer";		// use Jim's analyser
    if (hasAnalyzedText()) // unless it is ramopakhyana or astadhyayi
    {
        url = "WordAnalysis";
        var text = getText();
        s += "&text=" + text;
    }

    jQuery.ajax({
        async: parseResponse==null,
        type: 'POST',
        contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
        dataType: 'html',
        data: s,
        url: url,
        success: function(response, status) {
            displayLexicalOptions(response, status, parseResponse);
        }
    });
}

function hasAnalyzedText()
{
    return documentType == "rAmopAKyAna" || documentType == "azwADyAyI";
}

/* Display what TextViewer returns when user clicks a word. */
function displayLexicalOptions(response, status, parseResponse)
{
    if (status == "success")
    {
        var w = null;
        var page = null;

        if (!parseResponse)
        {
            response = response.replace(/id_info\(/g, "window.opener.id_info(");
            if (hasAnalyzedText())
            {
                page = response;
                w = window.open("", "bob", "width=700,height=500");
                w.document.write(page);
                w.document.close();
            }
            else
            {
                var mark = response.lastIndexOf("<disp1>");
                var response1 = response.substring(0,mark);
                var response2 = response.substring(mark+7);
                page = response2 + "<br/>" + response1;
                w = window.open("", "bob", "width=300,height=300");
                w.document.getElementsByTagName('body')[0].innerHTML = page;
            }

            w.focus();
        }
        else		// screen scrape result to find head word which is argument to the id_info function
        {
            var result = response.match(/id_info\("([^"]+)/);
            if (result.length == 2)
                wordText = result[1];
            else
                wordText = "?";
        }
    }
    else
        alert("Error! Request status is " + status);
}

function model_info (url)
{
    var win_ls = window.open(url,"modelInfo","width=950,height=700,toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes");
    win_ls.focus();
}


function id_info (key)
{
    var filter = convertFilter();
    var url= "LexicalSources" +
    "?key=" + escape(key) +
    "&filter=" + escape(filter) +
    "&translit=SLP1";
    jQuery.ajax(
    {
        async: false,
        type:'GET',
        dataType:'text',
        "url":url,
        success: function(response, status)
        {
            if (status == "success")
            {
                var w = window.open("","idInfo", "width=1000, height=1000,left=0, top=0");
                w.document.write(response);
                w.document.close();
                w.focus();
            }
        }
    });
}


function id_info_version1 (key)
{
    //$ans = "http://www.sanskrit-lexicon.uni-koeln.de/monier/" .
    //	"indexcaller.php?key=$key1&filter=$filter&translit=$transLit";
    var filter = document.getElementById("optdivoutput").value;
    //  var translit = document.getElementById("optdivinput").value;
    translit='SLP2SLP';
    var url= "http://www.sanskrit-lexicon.uni-koeln.de/monier/" +
    "indexcaller.php?key=" + escape(key) +
    "&filter=" + escape(filter) +
    "&translit=" + escape(translit);

    var win_ls = window.open(url,"idInfo","width=950,height=700,toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes");
    win_ls.focus();
}


// from http://www.webtoolkit.info/javascript-url-decode-encode.html
function utf8_encode(s)
{
    return escape(_utf8_encode(unescape(s)));
}


function _utf8_encode(str)
{
    str = str.replace(/\r\n/g,"\n");
    var utftext = "";

    for (var n = 0; n < str.length; n++)
    {
        var c = str.charCodeAt(n);

        if (c < 128)
            utftext += String.fromCharCode(c);
        else if((c > 127) && (c < 2048))
        {
            utftext += String.fromCharCode((c >> 6) | 192);
            utftext += String.fromCharCode((c & 63) | 128);
        }
        else
        {
            utftext += String.fromCharCode((c >> 12) | 224);
            utftext += String.fromCharCode(((c >> 6) & 63) | 128);
            utftext += String.fromCharCode((c & 63) | 128);
        }
    }

    return utftext;
}

function transcode(f, map, text)
{
    var url = "TextViewer";
    jQuery.ajax({
        async: true,
        type:'POST',
        contentType: 'application/x-www-form-urlencoded; charset=UTF-8',
        dataType:'text',
        url:url,
        data: 'map=' + map + '&text=' + utf8_encode(text), //{map: map, text:text},
        success:f,
        error: function(XMLHttpRequest, textStatus, errorThrown)
        {
            alert(textStatus);
        }
    });
}


/* Save and restore elements whose names begin with vs_*/
function saveViewState()
{
    $vs = $("input[name^=vs_]");
    $vs.each(function()
    {
        var savedState = "";
        var $this = $(this);
        var id = $this[0].id.substring(3);		// remove the vs_ to get the id of the control to restore
        if (id.substr(0, 3) == "txt")
        {
            var $el = $("#" + id);
            savedState = $el.val();
        }
        else if (id.substr(0,2) == "rb")
        {
            $el = $("input[type=radio][name^=" + id + "]");
            for (var j=0; j<$el.length; j++)
            {
                var el = $el[j];
                if (el.checked)
                {
                    savedState = el.id;
                    break;
                }
            }
        }
        else if (id.substr(0,3) == "chk")
        {
            $el = $("input[type=checkbox][name^=" + id + "]");
            var delim = "";
            for (j=0; j<$el.length; j++)
            {
                el = $el[j];
                if (el.checked)
                {
                    savedState = savedState + delim + el.id;
                    delim = ",";
                }
            }
        }
        else if (id.substr(0,3) == "lst")
        {
            $el = $("#" + id);
            savedState = savedState + $el[0].selectedIndex;
        }
        $this.val(savedState);
    });
}


function restoreViewState()
{
    $vs = $("input[name^=vs_]");
    $vs.each(function()
    {
        var $this = $(this);
        var savedState = $this.val();
        if (savedState.length == 0)		// no state for this control
            return;

        var id = $this[0].id.substring(3);		// remove the vs_ to get the id of the control to restore
        var $el = $("#" + id);
        if (id.substr(0, 3) == "txt")
            $el.val(savedState);
        else if (id.substr(0,2) == "rb")
        {
            $el = $("input[type=radio][name^=" + id + "]");
            for (var j=0; j<$el.length; j++)
            {
                var el = $el[j];
                el.checked = el.id == savedState;
            }
        }
        else if (id.substr(0,3) == "chk")
        {
            var ids = savedState.split(",");
            $el = $("input[type=checkbox][name^=" + id + "]");
            for (j=0; j<$el.length; j++)
            {
                el = $el[j];
                var found = false;
                for (var k=0; !found && k<ids.length; k++)
                {
                    if (el.id == ids[k])
                        found = true;
                }
                el.checked = found;
            }
        }
        else if (id.substr(0,3) == "lst")
        {
            $el = $("#" + id);
            $el[0].selectedIndex = savedState;
        }
    });
}

function loadZipContent (zip) {

    var extractCount = 0;
    var extractCallbackMaker = function(id, sz) {
        // This is a function that returns a function.
        // The purpose is to get a unique function for
        // each zip entry.
        return function (entry, entryContent) {
            extractCount++;
            if ((typeof entryContent == "object") && (typeof entryContent.description == "string")) {
                alert("entry " + extractCount + "/" +
                    zip.entries.length +
                    " exception: " + entryContent.description + "<br/>" +
                    " source: " + entryContent.source + "<br/>" +
                    " message: " + entryContent.message + "<br/>");
            } else {
                var entryName = entry.name;
                var nlength = entryName.length;
                var content = "";
                if (typeof entryContent == "string") {
                    if (entry.contentType == JSIO.FileType.XML) {
                        alert('file type is JSIO.FileType.XML');
                    }
                    else {
                        // arbitrary non-XML text content
                        content = entryContent;
                    }
                }
                else {
                    content = byteArrayToString(entryContent);
                }

                divContent.innerHTML = content;
            }

            if (extractCount == zip.entries.length) {
        }
        }  // end of function returned by extractCallbackMaker
    }  // end of extractCallbackMaker

    if (zip.entries.length === 0) {
        return;
    }

    for (var i=0; i<zip.entries.length; i++) {
        var entry = zip.entries[i];
        var entryInfo = "<h4><a>" + entry.name + "</a>&nbsp;"+
        "<span style='font-size:x-small;'>(" +
        entry.uncompressedSize +
        " bytes)</span>" +
        "</h4>\n<div>";

        // contrive an id for the entry, make it unique
        var randomId = "id-"+ Math.floor((Math.random() * 1000000000));

        // extract asynchronously
        //entry.extract( extractCallbackMaker(randomId, entry.uncompressedSize) );
        var tr = entry.openTextReader();
        var s = tr.readToEnd();
        divContent.innerHTML = s;
    }
}

function byteArrayToString (b) {
    var i, len, s;
    len = b.length;
    s = ''
    for (i=0; i<len; i++) {
        s += String.fromCharCode(b[i]);
    }

    return s;
}

function clickContent (evt) {
}


function handleMouseMove (evt) {
    var el;
    if (evt.srcElement) {
        el = evt.srcElement;
    } else if (evt.target) {
        el = evt.target;
    } else if (evt.toElement) {
        el = evt.toElement;
    }
    if (currentLink && el != currentLink) {
        currentLink.style.backgroundColor = 'beige';
        currentLink = null;
    }

    if (el.tagName == 'A') {
        el.style.backgroundColor = '#808080';
        currentLink = el;
    }
}

function handleClick (evt) {
    var el;

    if (evt.srcElement) {
        el = evt.srcElement;
    } else if (evt.target) {
        el = evt.target;
    } else if (evt.toElement) {
        el = evt.toElement;
    }

    if (el == null) {
        alert('el is null');
    }
    if (el.tagName == 'A') {
        if (el.className == 'X') {
            el.className = 'X';
          // what to do here?
        } else if (el.className == 'L') {
            displayHuet(el);
        } else {
            displayFunderburk(el);
        }
    }
}


function fixupParagraphs () {
    var content, p, a, len1, len2, i, j;;
    content = document.getElementById('divContent');
    content.onclick = handleClick;
    content.onmousemove = handleMouseMove;
/*
    content = document.getElementById('divContent');
    len1 = content.children.length;
    for (i=0; i < len1; i++) {
        p = content.children[i];
        if (p.tagName == 'P') {
            len2 = p.children.length;
            for (j=0; j < len2; j++) {
                a = p.children[j];
                if (a.tagName == 'A') {
                    a.href = 'http://foo';
                }
            }
        }
    }
*/
}


function arrangeScreen () {
    var divBreadCrumbs, divMenu, divNavigationBar, divTopBorder, divRightBorder, divBottomBorder, divLeftBorder, divContent, divNSFFooter,
    windowWidth, windowHeight, nsfFooterHeight,
    menuBarWidth, headerHeight, navigationBarHeight, leftBorderWidth, rightBorderWidth, topBorderHeight, bottomBorderHeight,
    contentWidth, contentHeight, contentTop, contentLeft, useBorder;

    divBreadCrumbs = document.getElementById('divBreadCrumbs'); // this is at top
    divMenu = document.getElementById('divMenu');   // this is at left
    divNavigationBar = document.getElementById('divNavigationBar');
    divTopBorder = document.getElementById('divTopBorder');
    divRightBorder = document.getElementById('divRightBorder');
    divBottomBorder = document.getElementById('divBottomBorder');
    divLeftBorder = document.getElementById('divLeftBorder');
    divContent = document.getElementById('divContent');
    divNSFFooter = document.getElementById('divNSFFooter');

    divContent.style.position = 'absolute';
    windowWidth = window.innerWidth;
    windowHeight = window.innerHeight;

    divNavigationBar.style.display = 'block';
    document.getElementById('divLeftRight').style.display='block';
    divNSFFooter.style.display = 'block';

    menuBarWidth = divMenu.offsetWidth;
    headerHeight = divBreadCrumbs.offsetHeight;
    navigationBarHeight = divNavigationBar.offsetHeight;
    leftBorderWidth = divLeftBorder.offsetWidth;
    rightBorderWidth = divRightBorder.offsetWidth;
    topBorderHeight = divTopBorder.offsetHeight;
    bottomBorderHeight = divBottomBorder.offsetHeight;
    nsfFooterHeight = divNSFFooter.offsetHeight;


    if (localStorage) {
        useBorder = localStorage.getItem('useBorder');
        if (useBorder == null) {
            localStorage.setItem('useBorder', true);
            useBorder = 'true';
        }
    }

    if (useBorder != 'true') {
        divLeftBorder.style.display = 'none';
        leftBorderWidth = 0;

        divRightBorder.style.display = 'none';
        rightBorderWidth = 0;

        divTopBorder.style.display = 'none';
        topBorderHeight = 0;

        divBottomBorder.style.display = 'none';
        bottomBorderHeight = 0;
    }
    contentWidth = windowWidth - (menuBarWidth + leftBorderWidth + rightBorderWidth);
    contentHeight = windowHeight - (headerHeight + navigationBarHeight + topBorderHeight + bottomBorderHeight + nsfFooterHeight);
    contentLeft = menuBarWidth + leftBorderWidth;
    contentTop = headerHeight + navigationBarHeight + topBorderHeight;

    // for all div with position absolute we need to set the top and left plus either height or width (depending on what was not set in css)
    divNavigationBar.style.top = headerHeight;
    divNavigationBar.style.left = menuBarWidth + leftBorderWidth;
    divNavigationBar.style.width = contentWidth;  // stretches from left border to right border

    divTopBorder.style.top = headerHeight + navigationBarHeight;
    divTopBorder.style.left = contentLeft                           // left border is adjacent to top border
    divTopBorder.style.width = contentWidth;

    divBottomBorder.style.top = contentTop + contentHeight;
    divBottomBorder.style.left = contentLeft;                       // left border is adjacent to bottom border
    divBottomBorder.style.width = contentWidth;

    divLeftBorder.style.top = headerHeight + navigationBarHeight;
    divLeftBorder.style.left = menuBarWidth;
    divLeftBorder.style.height = topBorderHeight + contentHeight + bottomBorderHeight;

    divRightBorder.style.top = headerHeight + navigationBarHeight;
    divRightBorder.style.left = menuBarWidth + leftBorderWidth + contentWidth;
    divRightBorder.style.height = topBorderHeight + contentHeight + bottomBorderHeight;

    divNSFFooter.style.top = headerHeight + navigationBarHeight + topBorderHeight + contentHeight + bottomBorderHeight;
    divNSFFooter.style.left = 0;

    divContent.style.left = contentLeft;
    divContent.style.top = contentTop;
    divContent.style.width = contentWidth;
    divContent.style.height = contentHeight;
}

function initStructure()
{
    var numDisplays = levelNames.length;
    var $selector = $("#divStructure").css({
        height: "auto"
    });
    var a = [];

    for (var i=0; i<numDisplays; i++)
    {
        var levelName = levelNames[i];
        $selector.append("<span class='levelName' id='name" + i + "'>" + levelName + "</span>" );
        var $list = $("<select class='levelList' id='list" + i +"'></select>");
        $lists.push($list);
        setEventHandlers($list, i)
        $selector.append($list);
        var items = getDropValues(a);
        for (var j=0; j<items.length; j++)
        {
            var opt = $("<option class='levelOption' " + (j==0?"selected='selected'":"") + " value='" + j + "'>" + items[j].v + "</option>");
            $list.append(opt);
        }
        a.push(0);
    }
}

function doLoadPage()
{
    var currentBook = getCurrentBook();
    var currentChapter = $("#chapter")[0].selectedIndex;
    var currentVerse = $("#verse")[0].selectedIndex;
    var n = computeVerseSeqNo(currentBook, currentChapter, currentVerse);
    currentVerseNumber = n;
    var verse = document.getElementById('p' + n);
    var divContent = document.getElementById('divContent');
    divContent.scrollTop = verse.offsetTop;
}


function computeVerseSeqNo(currentBook, currentChapter, currentVerse)
{
    var i = 0;
    var n = 0;
    for (i=0; i<currentBook; i++)
    {
        for (var j=0; j<bookGeometry[i].chapters.length; j++)
        {
            n += bookGeometry[i].chapters[j].numVerses;
        }
    }

    for (i=0; i<currentChapter; i++)
    {
        n += bookGeometry[currentBook].chapters[i].numVerses;
    }

    n += currentVerse + 1;

    return n;
}


function loadFile (url, callback) {
    var xhp = null;
    if (window.XMLHttpRequest) {
        xhp = new window.XMLHttpRequest();
    }
    else {
        try {
            xhp = new ActiveXObject("MSXML2.XMLHTTP");
        }
        catch(ex) {
            alert(ex);
        }
    }
    xhp.open("GET", url, true);
    xhp.onreadystatechange = function(event){
        if (xhp.readyState == 4) {
            if (xhp.status == 200) {
                callback(xhp.responseText)
            } else {
                alert(xhp.status);
            }
        }
    }
    xhp.send();
}


function insertText (divContent, text) {
    var len, chunklen;
    len = text.length;
    chunklen = 1000000;
    if (len - loadOffset <= chunkSize) {
        chunklen = len - loadOffset;
        alert('All loaded');
        window.clearInterval(loadTimer);
        loadTimer = null;
    }
    divContent.innerHTML += text.substring(loadOffset, loadOffset+chunklen);
    if (loadTimer) {
        loadOffset += chunklen;
    }
}

function init () {
    var doneReading, filter;
    divContent = document.getElementById('divContent');
    document.getElementById('divNSFFooter').style.display = 'none';
    document.getElementById('divNavigationBar').style.display = 'none';

    if (useZipFile) {
        doneReading = function (zip) {
            try {
                loadZipContent(zipFile);
                fixupParagraphs();
                initStructure()
                arrangeScreen();
            }
            catch (excl) {
                alert(excl);
            }
        };

        var zipFile = new ZipFile("TextViewer?command=getzip&name=" + documentType, doneReading, 1);
    } else {
        doneReading = function (text) {
            try {
                filter = VKI_state["serverOptions"];
                if (filter == 'deva') {
                    divContent.style.fontSize = '24pt';
                } else {
                    divContent.style.fontSize = '12pt';
                }

                divContent.innerHTML = text; //text.substring(0, chunkSize);
                loadOffset = chunkSize;
                //loadTimer = window.setInterval(function() {insertText(divContent, text);}, 200);
                initStructure();
                arrangeScreen();
                fixupParagraphs();
            }
            catch (excl) {
                alert(excl);
            }
        };

        loadFile("TextViewer?command=getfile&name=" + documentType, doneReading);
    }
}

