			function fetchPixels(x, name)
			{
				var result = null;
				var pattern = /[^0-9.]*$/;
				var value = x.css(name);
				if (value)
				{
					var m = pattern.exec(value);
					if (m.index > 0)
						result = parseFloat(value.substr(0, value.length - m[0].length));
				}	
				return result;
			}			

			function adjust(n)
			{
				var $tnp = $('#txtNumPixels');
				var width = parseInt($tnp.val());
				if (arguments.length > 0)
				{
					width += n;
					$tnp.val(width);
				}
						
				$('#divPixelLine').css('width', width + 'px');				
			}
			
						
			$(function()
			{				
				$('#divSubtract').click(function()
					{
						adjust(-1);
					});
					
				$('#divIncrease').click(function()
					{
						adjust(1);
					});
					
				$('#txtNumPixels').blur(function()
					{
						adjust();
					});
				
				var mouseIsDown = false;
				
				$('#divDragger').mousedown(function()
					{
						mouseIsDown = true;	
					});	
					
				$('body').mouseup(function()
					{
						mouseIsDown = false;	
					});	
					
				$('#divDragger').mouseup(function()
					{
						mouseIsDown = false;	
					});	
					
				
				$('#divDragger').keydown(function (evt)
					{
						var deltax = 0;
						var deltay = 0;
						switch (evt.keyCode)
						{
							case 37:	// left 
								deltax = -1;
								break;
							case 38: 	// up
								deltay = -1;
								break;
								
							case 39: 	// right
								deltax = 1;
								break;
								
							case 40: 	// down
								deltay = 1;
								break;							
								
							default:
								return false;
						}
						
						$this = $(this).parent();
						if (deltax != 0)
							$this.css('left', fetchPixels($this, 'left') + deltax);	
						else if (deltay != 0)
							$this.css('top', fetchPixels($this, 'top') + deltay);	

						return false;
					});

				var firstMove = true;	
				var lastX = 0;
				var lastY = 0;	
				
				$('*').mousemove(function(e)
					{
						if (mouseIsDown)
						{
							if (firstMove)
							{
								firstMove = false;
								lastX = e.pageX;
								lastY = e.pageY;
							}
						
							var $pt = $('#divPixelTool');
							var top = fetchPixels($pt, 'top') + e.pageY - lastY; 
							var left = fetchPixels($pt, 'left') + e.pageX - lastX;
							
							$pt.css({top: top + 'px', left: left + 'px'});
							if (lastY != 0 && lastY < e.pageY)
								var debug = 0;
							lastY = e.pageY;
							lastX = e.pageX;
						}
					});
					
			});
