function proxyCall(params)
{
	var url = null;
	var data = null;
	var async = true;
	var beforeSend = function() {};
	var error = function() {};
	var contentType = "x-application/x-www-form-urlencoded; charset=UTF-8";

	if (params.url)
		url = "UniversalProxy?url=" + params.url;		// params.url is URL of origin server
	else
	{
		alert("origin url is missing.")
		return;
	}

	if (params.method)
		method = params.method;

	if (method == "POST")
	{
		if (params.contentType)		// default is "application/www-form-urlencoded; charset=UTF-8"
			contentType = "x-" + params.contentType;

		if (params.data)				// default is null
			data = params.data;
	}

	if (params.queryParams || params.beforeSend || params.proxyCookies)
	{
		beforeSend = function(xhr)
			{
					if (params.queryParams)
						xhr.setRequestHeader("X-Proxy-Params", params.queryParams);
					if (params.proxyCookies && params.proxyCookies.length>0)
						xhr.setRequestHeader("X-Proxy-Cookie", params.proxyCookies);
					if (params.beforeSend)
						params.beforeSend(xhr);
			}
	}

	if (params.async)	// default is asynchronous
		async = params.async;

	if (params.onCompletion)	// default is empty function
		 complete = params.onCompletion;

	if (params.onError)		// default is empty function
		error = params.onError;

	ajaxParams =
			{type: method,
		     url: url,			// includes any query parameters
			  data: data,		// Content-Type is "application/x-www-form-urlencoded" unless set otherwise by params.contentType
			  async: async,
			  beforeSend: beforeSend,
			  error: error,
			  success: function(){},
			  complete: function(xhr, status)
					{
						complete(xhr, status, xhr.getResponseHeader("X-Set-Proxy-Cookie"));
					}
			};

	if (method == "POST")
		ajaxParams.contentType = contentType;

	$.ajax(ajaxParams);
}
