<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<center>
<h1>The first seeds of the Sanskrit Library</h1>
</center>
<p>The Sanskrit Library web-site was initially set up at the completion of the development of a dual conduit for the publication of a series of Sanskrit independent-study texts.  As the composition of the set of seven text-files containing the information in the <i>Rāmopākhyāna</i> neared completion in 1999, Scharf, with the help of Hyman, Plofker and others, developed two channels to present it: programs to display it in a web-based reader, and programs to produce print-ready copy.  These programs process any similar set of files for any Sanskrit text.</p>
<p>In 1995 after composing most of the first-year Sanskrit textbook <i>Śabdabrahman</i>, it became apparent that the set of vocabulary for the second semester exercises ought to be drawn from texts the students would be reading after they completed their first-year course.  It is then that Scharf began preparing a reader for students who had completed a first-year Sanskrit course.  After selecting a few texts he began to prepare data files of the analyses of the verses of the <i>Rāmopākhyāna</i> based upon a system of analysis he had developed while preparing the on-line edition of Pāṇini’s <i>Aṣṭādhyāyī</i> for the database of Sanskrit grammatical texts compiled by George Cardona, Elliot Stern, and him at the University of Pennsylvania under a grant from the National Endowment of the Humanities in 1991.  He revised and reformatted the grammar file with the help of Ryan Overbey, a Sanskrit student at Brown, with funding in 1998 under a grant from the Consortium for Language Teaching and Learning to develop the <i>Kramapāṭha</i> program described below, and with funding Brown University provided him under a Curricular Advising Program Fellowship, an Odyssey Fellowship, and an Undergraduate Teaching and Research Assistantship 1999-2000.  Scharf made other revisions based upon the feedback of the students in the second-year Sanskrit classes in which he used the Kramapāṭha program experimentally.</p>
<p>While composing and editing the data, Scharf developed computational tools to work with it, drawing upon his experience during the grammatical database project developing computer programs to do sandhi according to Pāṇini’s rules and to transliterate.  He developed programs to transliterate into Peter Freund’s Vedic Font for Devanāgarī and Madhav Deshpande’s ManjushreeCSX Font for Roman diacritics.  He developed programs to assist in sandhi analysis and inflectional identification with the help of Gabriel Cheifetz, a Sanskrit and computational linguistics student at Brown funded by Brown University Undergraduate Teaching and Research Assistantships 1995-97.  He developed programs to extract inflectional identifiers, lexical identifiers, and proper names from the grammar file, and to make a word-index with the help of Melissa Cheng, a computer science student funded by a Brown University Curricular Advising Program Fellowship 1999-2000.</p>
<p>In 1998-2000, Scharf developed the channels to present the data.  In 1998-99, he developed a web-based Sanskrit Reader display program at Brown called Kramapāṭha, A foreign language reader for the sequential unfoldment of knowledge, with the assistance of Ralph Bunker, Professor of computer science at Maharishi University of Management, under a grant from the Consortium for Language Teaching and Learning.  Professor Bunker wrote a C++ program to transform the seven files that comprise the Rāmopākhyāna database into a single, indexed, web-based file.  He also wrote the Java applet that uses this file to display the text in a web-browser.  The system displays Devanāgarī and diacritics dynamically on the users screen without the necessity of downloading any fonts.  Accessible here at the Sanskrit Library web-site, the program allows a student to view the information as needed by pointing and clicking.</p>
<p>In October 1999 Scharf contracted with the <a href='http://www.stg.brown.edu/' target='_blank'>Scholarly Technology Group</a> at Brown to hire their Project Consultant Kim Plofker, then in the Department of History of Mathematics at Brown, to write programs in Perl to produce camera-ready copy for the printed version of the <i>Rāmopākhyāna.</i>  She prepared TeX Font Metric Files of Peter Freund’s Vedic Font for the Devanāgarī and for Madhav Deshpande’s ManjushreeCSX Font for the Roman diacritics.  She wrote a Perl program to collect the information to be printed on each page from keyed records in the seven different files of the database Scharf prepared, and to write a set of files interpretable by the TeX typesetting system to produce the printed text.  Davide Cervone of Union College kindly provided some of the TeX macros used.  Malcolm Hyman, then a Brown graduate student in Classics, first uploaded the Kramapāṭha applet and the <i>Rāmopākhyāna</i> data to Scharf's website in 1999.  The next year, under a second grant from the Consortium for Language Teaching, Hyman wrote Perl routines to hyphenate and alphabetize Sanskrit, to streamline the print production procedure, and to implement the Index program, and Scharf added sound to the web display of the Sanskrit texts, including the full Sanskrit recitation of the <i>Rāmopākhyāna</i>.</p>
<p>Virtually with the push of a button, the software developed produced, from a single database consisting of seven text files containing information of the types contained in the <i>Rāmopākhyāna</i> book, both a web-based electronic reader and print-ready copy.  Scharf and his student Ryan Overbey prepared most of the database of Book 4 of the <i>Viṣṇupurāṇa</i> to be the second text in the series of web-based and printed Sanskrit independent-study texts.  In the meantime, Scharf prepared Pūrṇabhadra's edition of the <i>Pañcatantra</i> for the web under a grant from the Das Foundation and reformatted the database he produced of Pāṇini's <i>Aṣṭādhyāyī</i> for use with the Kramapāṭha program.  Other Sanskrit scholars who would like to produce similar volumes in this series of web-based and printed editions are invited to contact the <a href='mailto:peter.scharf@inria.org?Subject=Kramapāṭha%20Reader%20Series' target='_blank'>Sanskrit Library director</a>.</p>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
