<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<center>
<h1>Sanskrit Library History: 2001–2010</h1>
</center>
<h2>Whitney's <i>Roots</i> and inflection software</h2>
<p>In 2003-2004, Scharf and Hyman collaborated to produce a digital edition of William Dwight Whitney’s <a href='http://www.sanskritlibrary.org/Sanskrit/whitney/index2.html' target='_blank'><i>The Roots, Verb Forms and Primary Derivatives of the Sanskrit Language</i></a>.  They also created inflection software for both <a href='http://www.sanskritlibrary.org/tomcat/sl/NominalMorphology' target='_blank'>nominals</a> and <a href='http://www.sanskritlibrary.org/tomcat/sl/VerbalMorphology' target='_blank'>verbs</a> that allows users to enter a stem and to view a table of the inflected forms. The inflection and sandhi software</a> model the rules of the ancient Indian linguist Pāṇini.  These projects were undertaken with assistance from the <a href='http://www.languageconsortium.org/' target='_blank'>Consortium for Language Teaching and Learning</a> totaling $4,607.</p>
<h2>International Digital Sanskrit Library Integration</h2>
<p>Scharf led the three-year <a href='http://www.sanskritlibrary.org/tomcat/sl/Projects' target='_blank'>International Digital Sanskrit Library Integration project</a> in the Classics Department at <a href='http://www.brown.edu/' target='_blank'>Brown University</a> under grants from the <a href='http://www.nsf.gov/' target='_blank'>National Science Foundation</a> 2006-2009 ($247,350). The project created a digital Sanskrit library through collaboration with Jost Gippert, director of the <a href='http://titus.uni-frankfurt.de/' target='_blank'>Thesaurus Indogermanischer Text- und Sprachmaterialien</a> at Johann Wolfgang Goethe Universität, Frankfurt am Main (TITUS),  and Thomas Malten, director of the <a href='http://webapps.uni-koeln.de/tamil/' target='_blank'>Cologne Digital Sanskrit Lexicon project</a> at Universität zu Köln (CDSL).  The aim was to produce an integrated educational and research environment for Sanskrit analogous to what the <a href='http://www.perseus.tufts.edu/' target='_blank'>Perseus Digital Library</a> provides for classical Greek and Latin literature. Peter Freund, librarian of the <a href='http://is1.mum.edu/vedicreserve/' target='_blank'>Vedic Reserve</a> at <a href='http://www.mum.edu/index.html' target='_blank'>Maharishi University of Management</a>, joined the Sanskrit Library in 2010 and agreed to contribute his major archive of digital texts. The library has now acquired about 300 digital texts, 131 of which are <a href='http://www.sanskritlibrary.org/tomcat/sl/Texts' target='_blank'>on-line</a>. The Sanskrit Library contributed validated character data to Venugopal Govindaraju at the <a href='http://www.cedar.buffalo.edu/' target='_blank'>Center of Excellence in Document Analysis and Recognition</a> at the University of Buffalo (CEDAR) to provide a test-bed for Sanskrit OCR research.</p>
<h2>International Sanskrit Computational Linguistics Consortium</h2>
<p>Scharf, Huet, and Kulkarni collaborated with colleagues in planning a series of symposia to encourage research in the natural language processing of Sanskrit. Gérard Huet hosted the <a href='http://sanskrit.inria.fr/Symposium/' target='_blank'>First International Sanskrit Computational Linguistics Symposium</a> (ISCLS) at the <a href='http://www.inria.fr/' target='_blank'>Institut National de Recherche en Informatique et Automatique</a> (INRIA) in October 2007.  Scharf convened the <a href='http://www.sanskritlibrary.org/tomcat/sl/Events' target='_blank'>Second ISCLS</a> in May 2008,  where participants agreed to establish the Sanskrit Computational Linguistics Consortium under the auspices of the Sanskrit Library. Amba Kulkarni hosted the <a href='http://sanskrit.inria.fr/Symposium/Symposium3.html' target='_blank'>Third ISCLS</a> at the <a href='http://www.uohyd.ac.in/' target='_blank'>University of Hyderabad</a> in January 2009, Girish Nath Jha hosted the <a href='http://sanskrit.jnu.ac.in/conf/4iscls/committees.jsp' target='_blank'>Fourth ISCLS</a> at <a href='http://www.jnu.ac.in/' target='_blank'>Jawaharlal Nehru University</a> in New Delhi in December 2010, and Malhar Kulkarni will host the <a href='https://sites.google.com/site/5isclc2013/Home' target='_blank'>Fifth ISCLS</a> at <a href='http://www.iitb.ac.in/' target='_blank'>IIT Bombay</a> in January 2013.  Kulkarni, Huet, and Scharf co-edited <a href='http://www.springer.com/computer/ai/book/978-3-642-00154-3' target='_blank'>papers of the first two Symposia</a> published by Springer in its <a href='http://www.springer.com/series/1244' target='_blank'>Lecture Notes in Artificial Intelligence</a> series in 2009. Springer published the proceedings of the <a href='http://www.springer.com/computer/ai/book/978-3-540-93884-2' target='_blank'>3rd</a> and <a href='http://www.springer.com/computer/ai/book/978-3-642-17527-5' target='_blank'>4th ISCLS</a> as well.</p>
<h2>Sanskrit Library Phonetic encoding and Vedic Unicode</h2>
<p>Scharf and (the late) Malcolm Hyman designed the Sanskrit Library Phonetic basic encoding (SLP1), after a thorough investigation of ancient Indian linguistic treatises, that associates each basic Sanskrit sound with a single character and adds modifiers that allow all sounds represented in Vedic texts to be represented digitally. The encoding is described in Appendix B of their book <i>Linguistic Issues in Encoding Sanskrit</i> published in hard copy by <a href='http://www.mlbd.com/SearchBook.aspx?search_text=Linguistic+Issues+in+Encoding+Sanskrit&btnSearch=Go' target='_blank'>Motilal Banarsidass</a> and in <a href='http://www.sanskritlibrary.org/tomcat/sl/Publications' target='_blank'>PDF by the Sanskrit Library</a>. After an investigation of Sanskrit paleography, Scharf initiated worldwide collaboration, including such partners as the <a href='http://tdil.mit.gov.in/' target='_blank'>Indian Ministry of Communications & Information Technology, Department of Information Technology</a>, Government of India, the Government of India’s <a href='http://www.cdacmumbai.in/' target='_blank'>Centre for Development of Advanced Computing</a> (C-DAC) in Mumbai, and the <a href='http://linguistics.berkeley.edu/~dwanders/' target='_blank'>Script-encoding Initiative at Berkeley</a>, to extend the Unicode Standard to include 68 additional characters required for the proper display of the ancient Vedic heritage texts of India. See the <a href='http://www.sanskritlibrary.org/tomcat/sl/Projects/VedicUnicode' target='_blank'>Vedic Unicode project</a> under <a href='http://www.sanskritlibrary.org/tomcat/sl/Projects' target='_blank'>Projects</a>.  Unicode Standard version 5.2 incorporated the characters in two code blocks, Devanagari Extended and Vedic Extensions under South Asian Scripts on the <a href='http://www.unicode.org/charts/' target='_blank'>Unicode Character Code Charts page</a>.</p>
<h2>Inflectional morphology analysis and digital dictionary revision</h2>
<p>By running our inflection software on the 170,000 nominal and verbal headwords in Monier-Williams’ (1899) <i>A Sanskrit-English Dictionary</i> (MW), the most complete English language dictionary of Sanskrit, we created a full-form lexicon of eleven million entries that associates each inflected form with its inflectional identifier and headword. The full-form lexicon allowed us to build a <a href='http://www.sanskritlibrary.org/tomcat/sl/MorphologicalAnalyzer' target='_blank'>morphological analyzer</a>. The analyzer displays all possible analyses of the inflected nominal form entered in the analyzer input field. The analysis consists of the inflectional identifier and stem, the latter of which is a link to the Sanskrit Library <a href='http://www.sanskritlibrary.org/tomcat/sl/FunderburkInterface?type=1' target='_blank'>multidictionary interface</a>. With our collaborators Malten and Funderburk, we revised and extend tagging of CDSL’s edition of MW. Prior to our work, <a href='http://www.sanskrit-lexicon.uni-koeln.de/scans/MWScan/tamil/index.html' target='_blank'>CDSL's original search interface</a> did not distinguish between upper and lower case, even though the Kyoto-Harvard encoding it utilized does. Besides utilizing the full accuracy of phonetic encoding of Sanskrit and allowing both user entry and display in Roman or Devanāgarī Unicode as well as in other standard encodings, our improved and extended mark-up allows software to differentiate different types of information in the entry by associating differently tagged elements with different text types, such as color and italic, in the HTML used to create the display. <a href='http://www.sanskrit-lexicon.uni-koeln.de/monier/' target='_blank'>Our current interface</a> displays lexical tags in italics, Sanskrit forms in blue, class names and proper nouns in aqua, works cited underlined, and citations in green, making the entry easier to read. The display can be altered just by changing parameters in the display software without further altering the markup of the data. A <a href='http://www.sanskrit-lexicon.uni-koeln.de/monier/webtc5/index.php' target='_blank'>new display</a> still under development, to be deployed on the web and on hand-held devices, shows a navigable list of dictionary headwords on the left, scrolled to the current headword which is hightlighted.  The preference panel allows the user to choose between two formats: to display headwords in strictly alphabetical order or in a hierarchy that shows derivational dependence.  The hierarchical list shows, for instance, compound words formed by combining a subsequent element with the sought headword indented beneath that headword.</p>
<p>The revised Sanskrit lexicon displays contain a number beneath the head word that is a link to the digital image file of the page in MW. Clicking it brings up the image file of the entire page. The <a href='http://www.sanskrit-lexicon.uni-koeln.de/mwquery/' target='_blank'>advanced search form</a> allows one to search not only for exact matches but in addition for all headwords that contain a string at the beginning, interior, or end. The advanced search form also allows English access to Sanskrit terms; it displays all headwords that contain a specific English word in their definition.</p>
<h2>Integration of digital texts with linguistic software and lexical resources</h2>
<p>The Sanskrit Library obtained three hundred <a href='http://www.sanskritlibrary.org/tomcat/sl/Texts' target='_blank'>digital editions of texts</a> from <a href='http://titus.uni-frankfurt.de/' target='_blank'>TITUS</a>, the <a href='http://is1.mum.edu/vedicreserve/' target='_blank'>Vedic Reserve</a>, the NEH-funded grammatical databank project headed by George Cardona at the University of Pennsylvania in the early 1990’s, and other sources, and displays them in a reader page Scharf and Bunker designed. Each word in sandhi-analyzed texts dynamically links to a morphological analysis window. Clicking a word in the <i>Rāmopākhyāna</i> brings up the analysis done by hand by Scharf; clicking a word in other sandhi-analyzed texts, such as in the  padapāṭha sections of Kauṭilya's <i>Arthaśāstra</i>, searches for matches in our full-form lexicon. Direct access to the full form lexicon is provided by our <a href='http://www.sanskritlibrary.org/tomcat/sl/FunderburkInterface?type=2' target='_blank'>morphological analyzer</a>.  Clicking the stem of the word looks up the word fills the the multidictionary interface's search field.  Clicking a dictionary looks the word up in the selected lexical source. Clicking the preferences dialogue box in the upper left corner of the Sanskrit Library page allows one to select various input methods and display formats, and to select from numerous lexical sources to include in word-lookup. The system accommodates a variety of encodings, including Roman and Devanāgarī Unicode, and transcoders developed to include the Unicode of eight major Indic scripts used for Sanskrit texts (Devanagari, Bengali, Gujarati, Gurmukhi, Kannada, Malayalam, Oriya, and Telugu).  The complete set of <a href='http://www.sanskritlibrary.org/tomcat/sl/TranscodeText' target='_blank'>transcoding software</a> is accessible under <a href='http://www.sanskritlibrary.org/tomcat/sl/Tools' target='_blank'>Tools</a>.</p>
<p>In texts in which interword phonetic alteration (<i>sandhi</i>) has not been analyzed, such as the <i>Pañcatantra</i> or the continuous text sections of the <i>Arthaśāstra</i>, additional analysis is required. In such texts each sentence is dynamically linked to Gérard Huet’s parser at the Sanskrit Heritage Site at INRIA Paris-Rocquencourt through a dialogue box that displays the editable sentence in SLP1 encoding. Huet’s parser analyzes the sentence using various syntactic criteria and his Sanskrit-French lexicon of about 25,000 words. Unpenalized solutions are selected and displayed. The site allows one to examine penalized solutions and to reedit the sentence and resubmit it for further analysis. Huet's site addionally allows one to submit compounds for further analysis by the compound analyzer built by Amba Kulkarni at the University of Hyderabad and to submit analzyed sentences for syntactic analysis by her dependency tree parser.</p>
<h2>Projects</h2>
<p>Gérard Huet and Amba Kulkarni joined the Sanskrit Library board of directors this year and we are intensifying the coordination of our resources.  Please consult the descriptions of our <a href='http://www.sanskritlibrary.org/tomcat/sl/Projects' target='_blank'>projects</a> for details.</p>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
